commit b8440a3c5a085f57dfe9bccb761912594391c66b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 10 00:04:28 2026 +0300

    'make update-po' before 3.2.5 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f4786662c22f65c8b5b4ebc03e59e1ef95c5b602
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 10 00:01:08 2026 +0300

    FAQ: Update latest stable version number to 3.2.5

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 39eb98009ba5ef13d55e95912beedf8ae72cc934
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 9 22:20:51 2026 +0300

    NEWS-3.2: Refresh 3.2.5 translation stats

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d1a2729d93745ff64487098b3f1ea4238a7bdd86
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 9 21:50:02 2026 +0300

    Msgmerge Galician translation from main branch

    Main translation updates by ninjum

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f5b0074e5aa1a6f6d453e745d3612e300143435a
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Thu Jul 9 11:16:32 2026 +0500

    Update for Russian translation

commit 37a8971919fd56253c73717dd3edd3c572ec99c0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 7 22:36:50 2026 +0300

    NEWS-3.2: Add 3.2.5 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7be3f7c50a61510f2a9df3c391d8f54ac34feba9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 2 15:25:34 2026 +0300

    gtk4: Do not include gdkkeysyms.h directly

    Include gdk/gdk.h instead.
    Including gdkkeysyms.h directly gives
    a compilation error under gtk-4.23.

    See RM #2064

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8410df100a633eea8952fdfa6308d180ff029dff
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 6 00:46:11 2026 +0300

    Comment typofix: "Standart" -> "Standard"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 103c3e47150889dbb840c0f59308f8525921240a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 5 22:20:25 2026 +0300

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2026-06-26)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 95d57f61e5ec370cee85aa5178c07b7bfc44d7a2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 5 21:09:42 2026 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7544274355c095624442f9b50f5a05240d1c32b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 4 06:41:33 2026 +0300

    Comment typofix: "requiremnt" -> "requirement"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6a4317b0745abe9330713e6fa5058f83d9cfcc68
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 25 02:33:40 2026 +0300

    Qt: Fix sfinae-incomplete compiler warning with Qt-6.11

    gcc-16 adds sfinae-incomplete warnings. Qt-6.10 is too
    broken for us to fix all the warnings with it, but we can fix
    the one warning that remains with Qt-6.11.

    See RM #2062

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9d621eb84c35b346ac90c2f80470793560837b99
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 4 03:50:33 2026 +0300

    Update Swedish translation by NickWick13

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 57396f2b89dfd8e304dc67cb9fd2c69c8463c61a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 2 00:01:34 2026 +0300

    AI: Enable rampage when unit can do Nuke city target attack

    See RM #2041

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit de0aad787a123c61f96951ac59901e2a851a4a45
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 5 21:57:33 2026 +0300

    gnulib-common.m4: Update to serial 122

    See RM #2044

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 08165fe4dd97f62dafb98faa70baf3df194a4de5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 9 17:34:14 2026 +0300

    emsbuild.sh: Don't override compilers by environment variables

    See RM #2021

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9bc99f56bdce1af2dbcace52d52e7f544c15c8a5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 21 04:30:38 2026 +0300

    gtk4: Fix trading cities

    Reported by Erik None

    See RM #2034

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 42039102604b853ded1683332e81dab4221eade6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 14 01:37:36 2026 +0300

    granularity: Fix "Road Building" help text typo

    See RM #2048

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7363ab49dbee44958031782c8e8119329e487003
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 20 06:24:08 2026 +0300

    Add select_actres_action_unit_on_city()

    See RM #2032

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3a225f2448bcfc067e979813c3a935a5e3b8c6e0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 7 04:31:05 2026 +0300

    Savegame: Fix PLRF_FIRST_CITY / cities currently > 0 inconsistency

    See RM #2018

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 75340d36b2584055b8a6234e745207663dea9504
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 14 16:30:53 2026 +0300

    AI: Enable rampage when unit can do Nuke tile target attack

    See RM #2026

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 682a68d739d7156fcaf3a8f029e6f36cbb893bfb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 16 08:22:11 2026 +0300

    AppImage: Build gtk4 modpack installer

    See RM #1870

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9d9540bddc6db0b7d3e230972670e0a923a37572
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 13 20:18:12 2026 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e9c0c1c67afd2db64cb8cb1c159230eb0d6107e2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 13 19:41:03 2026 +0300

    Comment typofix: "Convinient" -> "Convenient"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 96eab7058b7c9a69b2c89fb8ba5e95ff650c8e31
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 14 04:08:39 2026 +0300

    CI: Update setup-msys2 to version 2.31.1

    See RM #2024

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c5d38f4f3494d4d172a11b4bf887a58def863e8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 7 00:08:38 2026 +0300

    gnulib-common.m4: Update to serial 118

    See RM #2014

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b9a93d370475d8bf4fe22b46f36b72418f606684
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 6 23:42:13 2026 +0300

    Update Korean translation nation and ruledit domains

    Just msgmerged translations from S3_3 against S3_2
    English originals.
    S3_3 translations by JungHee Lee

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b76a59124eb77f32d40556e706616063b0c3b2ca
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 7 01:51:39 2026 +0300

    Add select_actres_action_unit_on_tile()

    See RM #2016

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 82850b21e6f901b0a9b9f7083526ad8941ffbcf9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 3 20:31:43 2026 +0300

    emscripten: Add asynchronous support

    See RM #1896

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5b7e7970bcdb48970776e9dbea96cdd459379ebd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 27 22:39:13 2026 +0300

    Comment typofix: "mimiced" -> "mimicked"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cb81289b2daff9db88d091926065fdbcd230a70d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 3 19:57:50 2026 +0300

    AI: Fix floating point exception at air unit handling

    Reported by gusrestrepo

    See RM #2012

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 50647b84ea5e43740e81ac3a196ce823acef7939
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Apr 14 01:35:50 2026 +0300

    AI: Enable rampage when unit can do Nuke Units attack

    See RM #1991

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 74fb925915b69e8a07109d01e092addd94b3f30b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 22 03:30:31 2026 +0300

    Meson: Build emscripten binaries with 'html' -suffix

    See RM #1879

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2c66bbf8575709ede0bf89e9b92aa73ed643292b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 16 08:55:20 2026 +0300

    Comment typofix: "wight" -> "width"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5e164ec6e55145fb67c007a9015d32a6fbc38375
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 16 07:04:08 2026 +0300

    ruledit/hu.po: Convert to UTF-8

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit be669e47d99d39dd80dd7b7e7b7df9c9700eaea6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 15 23:58:52 2026 +0300

    team_slot_name_translation(): Assert correctly on nonls build

    See RM #1739

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ce4ed2beb9a69b4c34a473563dbf438ab73d18cc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 3 20:25:25 2026 +0300

    README.md: Instruct bug reporting

    Refer to the tracker also as place to report bugs,
    in addition to as place to submit patches.

    Make similar update to doxygen.md

    See RM #1864

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e8a03f00221755fb882d3feb642a564faf9972e0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Apr 14 03:59:16 2026 +0300

    emscripten: Set 'c' instead of 'cc' in cross-ems.tmpl

    See RM #1992

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6e3a628f537a47004a9c85d3947c46caf209fe36
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 5 23:49:13 2026 +0300

    Comment typofix: "enetered" -> "entered"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8375c84b0a763ce7314619ae40c196043bcac38a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Apr 13 22:13:33 2026 +0300

    gnulib-common.m4: Refresh from gnulib

    Serial remains 116

    See RM #1988

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 30fa1a1a4b34ebd2800498c9ca43aa4be64022c8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 1 16:15:42 2026 +0300

    Comment typofix: "knownledge" -> "knowledge"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 76af87d70336186a59e05c128c50df4ea4b3bc7b
Author: Dino <macwiz23@comcast.net>
Date:   Thu Apr 2 21:33:15 2026 -0400

    client help: move NeverProtects help text to correct place

    See RM #1976

commit ee738c538f06d41d0c46322f18b65faa550ef50f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 5 10:18:45 2026 +0300

    Update to emscripten 5.0.4

    See RM #1986

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 436d4a7da30c8f54727a96d681cae2853e007c53
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 29 09:26:26 2026 +0300

    AI: Enable rampage when unit can do Capture Unit attack

    See RM #1970

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f7386bfd7a22a87e21828382d3b683e50d761cef
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 29 06:52:51 2026 +0300

    Qt: Fix "Save Options on Exit" toggle

    See RM #1969

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f93411bb74909400d4a5f0fd4226d9d417cab843
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 3 13:07:48 2026 +0300

    Meson: Use host_machine.system() to detect emscripten build

    That replaces a compile test we had for the same purpose.

    See RM #1881

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e10d57866ef85b3944bb46ca0b074810fc76415a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 4 00:27:55 2026 +0300

    CI: Update setup-msys2 to version 2.31.0

    See RM #1982

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d347ca65de5759d186de7b2ae76d3d70f156486
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 5 11:01:45 2026 +0300

    Comment typofix: "surrended" -> "surrendered"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6706079bd3a7226174ccf1a6f337b8e0bc6495cf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 29 02:04:44 2026 +0200

    Flatpak: Update gnome Sdk & Platform to 50

    See RM #1968

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e537279978b3701a1b9e7639e2cf24402190d372
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 22 02:19:45 2026 +0200

    Fix compilation against glibc-2.43

    See RM #1964

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8f82797e4ead05ca4a8e7a7c91d08093660f1b77
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 31 00:40:33 2026 +0300

    Comment typofix: "avilable" -> "available"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5535db410ae19928433dfcbcccc51a1f4377e66f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 11 03:40:40 2026 +0200

    AI: Enable rampage when unit can do bombard attack

    See RM #1940

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e1360ef7e7edab348d3d55e27808d8bc069ae076
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 14 21:44:31 2026 +0200

    emscripten: Double stack size

    See RM #1880

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a5c494b769c1489b5f78186730a3276e43238209
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 23 01:26:12 2026 +0200

    Comment typofix: "multipled" -> "multiplied"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 502894635e6762a50b9b447a2483b2d999e10d22
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 7 06:48:55 2026 +0200

    gnulib-common.m4: Update to serial 116

    See RM #1957

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d90e26f496bab45386cb5a2a0680a1b664f90c3f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 21 00:40:33 2026 +0200

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ffa2c93487fa9d387b87edf2c243a7fa55cfb2a6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 21 00:35:48 2026 +0200

    Finalize 3.2.4 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 12118adf7c2b4bbc34b698e969a64bfa3732f540
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 21 00:34:49 2026 +0200

    'make update-po' before 3.2.4 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ba6e5884229c57363a2bb216deb9103517f072a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 21 00:29:55 2026 +0200

    FAQ: Update latest stable version number to 3.2.4

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f3e6be5a78f843c7b7c0ea336d9b60e75faf63bf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 21 00:29:07 2026 +0200

    NEWS-3.2: Add 3.2.4 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a9aff295e34fc34a3f3bf1c7fbdf7b6c1d76e42f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 3 06:54:31 2026 +0200

    Protect against DOS attack with recursive jumbo packets

    Receiving side of the old network code allowed jumbo
    packets inside jumbo packets recursively, though such
    recursion is never needed. Handling such recursion
    could easily lead to a crash of the receiver.
    Malicious sender could craft such recursive jumbo packets
    to crash servers or clients.
    The fix simply disallows recursive jumbo packets.

    Reported by Louis Moureaux

    See RM #1955

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 51a45b26e2ae90a5826c4774941f128ccaa75e71
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 20 20:58:42 2026 +0200

    Update to emscripten 5.0.1

    See RM #1948

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6722c8632af5b21a5f847f66280cc5545914b818
Author: Matt Jolly <kangie@gentoo.org>
Date:   Mon Mar 9 15:07:52 2026 +1000

    sdl: Fix widget_id truncation in widget lookup functions

    get_widget_pointer_from_id() and get_widget_pointer_from_main_list()
    still used Uint16 id parameters after MAX_ID and widget_id were
    widened to 32 bits in 7a187ce264. This caused silent truncation of
    IDs like (MAX_ID - 1000 - style), making lookups fail and return
    NULL, leading to a segfault in nation_button_callback.

    See RM #1961

    Signed-off-by: Matt Jolly <kangie@gentoo.org>

commit 3ed2f2bf89fd9b6673111cae84e202d561149214
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 7 06:08:42 2026 +0200

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fe109e693b1c4e7e3bbeddc0acf03b7635bcbde4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 22 23:21:36 2026 +0200

    Granularity: Mark Granary helptext no-c-format

    See RM #1951

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1d3c4e35f9a4b15bc7d2799ea87cb5bcda046224
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 18 22:47:40 2026 +0200

    CI: Update actions/checkout to version 6.0.2

    See RM #1944

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 66807489507d7e6b67c98d1ac77592a6ec147020
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 29 22:53:52 2026 +0200

    autotools: Use gettext .m4 files from gettext-1.0

    See RM #1924

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 826ad7f534b82a670db77ac6fab6fa85efba9ec5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 28 00:29:15 2026 +0200

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b3539a4fe2ed642309ed421e59e192f4a8066530
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 28 00:20:59 2026 +0200

    Finalize 3.2.3 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3282c1ebb8040ee9f9d27d8c618f9ccfb51797d7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 27 23:53:41 2026 +0200

    'make update-po' before 3.2.3 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8892342f213b871e1e1e1012e75364dace33a4c4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 27 23:15:34 2026 +0200

    FAQ: Update latest stable version number to 3.2.3

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8cff7961657ef20a107c6c162420b36182171e91
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 25 00:19:20 2026 +0200

    NEWS-3.2: Add 3.2.3 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8a15de1e8dea3e4f6747f15336b5bc25e3b8858a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 23 22:15:28 2026 +0200

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2026-02-20)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e24755bea786b4a7c2426bd65609a8c053434fb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 22 22:59:59 2026 +0200

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9552cf6dd59270358541194e16a5197990f42ea4
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Fri Feb 20 13:02:59 2026 +0500

    Update for Russian translation

commit f26ee903e4bb63c71e7b1d3c809c0e9fa8fd5b9d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 26 01:48:41 2026 +0200

    rulesets_autohelp.sh.in: Log that we are creating manual

    Old logging said that we are loading the ruleset.

    See RM #1920

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d62564197ebf3d4b299a265e51caa149585b7899
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 18 22:30:48 2026 +0200

    tswana.ruleset: Correct comment about Lucas Mangope

    Time of his presidency was wrong.

    See RM #1782

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a6908d681af1206fc14c2c640a9c2e4d0e783ddd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 2 03:54:24 2026 +0200

    Fix bombardment animations

    - Animate target HP loss correctly, not all the way
      to zero HP
    - Do not show explosion animation when the target
      does not die. This affects also regular attacks where
      neither side dies due to battle running over
      max rounds

    Reported by David Fernandez

    See RM #1851

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7031222d8ff0b844bbb6dcc5b224ef9a108da976
Author: Dino <macwiz23@comcast.net>
Date:   Sat Jan 31 14:28:21 2026 -0500

    rulesave: save roads' first_reqs and integrates

    See RM #1925

commit 1f3a570253526228fdedd2aab0008f48b0e37a3f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 7 11:34:42 2026 +0200

    installer_cross: Update autotools side to crosser-2.11

    See RM #1935

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4ef435baa26385dfe7d319adfcfa2404b96a6c82
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 31 02:37:57 2026 +0200

    Msys2: Add ruledit to Qt-client installers

    See RM #1923

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e19eefc4d50eaf101a959c295dbce6a8df51f54
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 13 00:30:57 2026 +0200

    AI: Reduce war countdown to 2 turns in case of spaceship launch

    AI used to reserve long time for war preparations after
    an enemy launched their spaceship, before actually declaring the war.
    But when trying to stop the spaceship, quick action is more
    important than being well prepared. With larger maps, old countdown
    didn't cause war declaration before spaceship had already reached
    its destination, making the whole war preparation mood.

    See RM #1904

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b5a7088f0cfdba0f1dc96a7791b7f0b205a9d990
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 31 23:28:11 2026 +0200

    sha_unit_new(): Make unit_virtual_create() call legal

    unit_virtual_create() was called with a nullptr unit type,
    which is not considered legal value. Pass original unit's
    type instead.

    See RM #1926

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 53f335d2f4b0777ca2ae0083595ca41291b67532
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 17 15:39:53 2026 +0200

    emscripten: Make client able to load .pngs

    See RM #1882

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2173249e150aad613805389bdb37cc6754cf1b85
Author: Dino <macwiz23@comcast.net>
Date:   Sat Dec 27 23:28:57 2025 -0500

    can_reclaim_ocean(): Fix rounding error

    See RM #1278

commit c470aed903b5bc4c090fc5f23de9b07875667923
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 18 08:23:40 2026 +0200

    dai_rampage_want(): Consider fake generalized attack actions

    See RM #1910

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 31927be818e56e366be2c6ba5f545463420a59e0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 18 20:09:59 2026 +0200

    Metainfo: Update bugtracker URL

    Correct bugtracker URL from a osdn one to redmine one.

    See RM #1908

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e8c686d8c1424faeab958344cd624b60986edea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 13 01:04:56 2026 +0200

    AI: Fix English singular form in a pluralized message

    See RM #1906

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 16989866708a237522b7cecd792d9ebb4c552f96
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 31 04:51:07 2026 +0200

    Update to crosser-2.11

    See RM #1922

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fd3dfd6b0465b38e9748b8c61f0c8a9185154610
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 10 05:33:40 2026 +0200

    Qt: Insensitivize volume control entries when no audio plugin

    See RM #1889

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a07d53ea378b8bed10ec84606651adf0a68b32bb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 12 22:52:01 2026 +0200

    emscripten: Build only sdl2-client

    Disable server and stub-client build.

    See RM #1902

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b4989b9d6e51fe99ad45d20c0f3280adcbff6281
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 10 04:19:39 2026 +0200

    sdl3: Fix error on drawing empty chatline

    See RM #1884

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 65d1075420ddadbf880d2996576f1ff035fee538
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 8 22:51:00 2026 +0200

    CI: Update actions/checkout to version 6.0.1

    See RM #1892

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f9def147c221e5b90936a777c1a2462e76756d07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 18 12:24:13 2026 +0200

    gtk4 citydlg: Stop supported/present units icons shrinking

    Make scrollbar to appear as soon as units do not fit by
    their natural size, instead of shrinking them to fit in
    without the scrollbar.

    Reported by Andrea Maria Marconi

    See RM #1875

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bf986a4362759cf9f9ce6f70a38de2d2aaa53795
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 16 20:06:00 2026 +0200

    Metainfo: Add screenshot captions

    See RM #1869

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d690d1a4558885c08aacbab6ef32cdd20349443d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 8 03:42:19 2026 +0200

    Add select_actres_action_unit_on_stack()

    See RM #1888

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8d784b1a55569c109b61e2faa88508e680721b72
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 9 22:39:02 2026 +0200

    Fix research->techs_researched after failed savegame load

    See RM #1897

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b6b7b3b8d9af14c73edb6f2d3743c14ffa65e867
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 10 00:39:02 2026 +0200

    emscripten: Allow running as root

    See RM #1878

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 22cee41dcfa08c8547138ba917d051052e602e95
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 6 07:12:29 2026 +0200

    gtk3.22/unitselect: Remove unused fields from struct

    Original patch for gtk4-client by Christian Mauderer

    See RM #1873

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e7f1f1d4e516d836d60575b6e41160e0be391ae0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 10 00:26:01 2026 +0200

    sdl3: Enable text input

    Makes text edit widgets functional.

    See RM #1885

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e711f82cb2994e36462a31baca820fe6be55d8df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 8 02:14:13 2026 +0200

    gnulib-common.m4: Refresh from gnulib

    Serial remains 115

    See RM #1886

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 316f75e555a2854b9d6f0d682c3dc73003b39ddc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 8 06:28:18 2026 +0200

    gtk: Insensitivize volume control entries when no audio plugin

    See RM #1781

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 27f972ac9a9deef173fdb2be97457e36453ad203
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 4 06:33:46 2026 +0200

    Qt: Fix "clean" activity icon

    Rename pollution.png as clean.png for it to be used
    as clean icon.

    Reported by David Fernandez

    See RM #1850

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ae3e00ef8f4f792a2d7871122001219e8ff54202
Author: ninjum <138787523+ninjum@users.noreply.github.com>
Date:   Tue Jan 20 18:38:22 2026 +0100

    Update gl_ES.po

commit e1f029158500fc9e26f53accf65f744179eceabb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 4 00:52:29 2026 +0200

    Update stdlib_h.m4 to serial 86

    See RM #1857

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ae8aaf6acecea0b3c1a995ab3825c7090528f8eb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 9 21:31:01 2026 +0200

    Fix crash when adjusting volume with dummy audio plugin

    See RM #1890

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 86d2e9c2f4d33a3e9e29da6584e0425d49c436d9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 3 14:26:49 2026 +0200

    Metainfo: Enable vcs-browser and contribute URLs

    See RM #1860

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7aa7de6a31d8769df249a0c1dc844f492c2d191
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 8 01:03:45 2026 +0200

    invasion_funct(): Assert goto tile validity

    Reported by John Robertson

    See RM #1695

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fdf3c313ee41fbb1cde236a8c0f5bcdd6c092643
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 2 21:03:58 2026 +0200

    locale-en.m4: Refresh from gnulib upstream

    Comment only update. Serial still 1

    See RM #1855

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5946ec7dd718413fa9ed487a66710643178f8202
Author: Christian Mauderer <oss@c-mauderer.de>
Date:   Sat Jan 3 11:50:57 2026 +0100

    gtk4/unitselect: Remove unused fields from struct

    See RM #1871

    Signed-off-by: Christian Mauderer <oss@c-mauderer.de>

commit 5e315d34894b90b7c990592dff097109a0058b74
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 7 07:10:07 2026 +0200

    sdl: Fix connectdlg fields to take effect

    Previously connection attempt was always made with
    the default value, no matter what user entered.

    See RM #1883

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d480a663fcd2d4442ddb4e90e28854e61ca58430
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 27 15:01:22 2025 +0200

    advdata: Include regular teleporters to "paratrooper" count

    Rename the counter from "paratroopers" to "teleporters"

    See RM #199

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5683c70c888e0d18d47f525647cd0007f72bd2a4
Author: John Robertson <jro@advops.com>
Date:   Sat Dec 20 14:55:40 2025 -0700

    Qt: Prevent dragging unit info widget outside map view area

    Dragging the widget outside map view made it completely
    unreachable.

    See RM #1832

commit 02650429ca5d639ae7606496db8827f956435b5c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 27 13:52:07 2025 +0200

    trailing_spaces.sh: Fix checking of .tilespec files

    See RM #1825

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 41043bc25f2d5a0f00c49c385429e287e49dd7a9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 27 11:46:13 2025 +0200

    dai_unit_attack(): Handle fake-generalized versions of actions

    Consider fake-generalized versions of attack actions just
    the same as the base versions.

    See RM #1847

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6b3df75f3bb2cba030eebc038045bff88566d84b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 7 02:58:31 2026 +0200

    emscripten: Add host_machine section to cross-file

    See RM #1877

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 26ee98ac2adcf4300977698118457cad7427e146
Author: Dino <macwiz23@comcast.net>
Date:   Fri Dec 26 19:43:41 2025 -0500

    gtk4: clean out #ifdef MENUS_GTK3

    See RM #1843

commit eac9fdb2cfbfeb19f8b3121e802b42361baa95a9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 27 18:51:15 2025 +0200

    CI: Update setup-msys2 to version 2.30.0

    See RM #1818

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e99961f1f1a746eba09f36c034a04cd3123978c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 5 21:14:51 2026 +0200

    gtk4: Fix sentried unit crash on right-click on city dialog

    Fix similar case also on transport dialog.

    They set unit on focus, and non-idle unit cannot be at focus.

    Reported by Andrea Maria Marconi

    See RM #1868

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b738889759c252835f619ba17235961b3e7599e6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 26 08:41:45 2025 +0200

    AI: Fix failing war_countdown() "adip->countdown == -1" assert

    War declaration because of target's spaceship launch proceeded
    when the countdown was already indicating war, but players were
    not in war yet. This is possible situation when the senate
    is blocking the war, and we are waiting for it to be dissolved
    in the next turn change.

    See RM #1834

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 47b8f745c9551baa659e7ab251ffc7d215a48d0e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 25 15:04:07 2025 +0200

    game.rulesets: Add empty lines around Counters documentation

    See RM #1801

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 39419bb07a4d4766b75a12d6fb33364260981d96
Author: Dino <macwiz23@comcast.net>
Date:   Mon Dec 15 20:09:48 2025 -0500

    Increase city report trade routes column width

    See RM #1815

commit df90dde5150729fcd8988265836770180149abbc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 19 03:34:21 2025 +0200

    Meson: Sanity check sdl2/sdl3 audio and sdl2/sdl3-client combinations

    See RM #1822

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e16c4363db00626ae34c1d458f9c6ac78c6b6c37
Author: Christian Mauderer <oss@c-mauderer.de>
Date:   Sun Jan 4 16:58:21 2026 +0100

    gtk4: Fix icon sizes with new gtk releases

    GTK has set the maximum size of objects that use the iconhelper to the
    size of icons in the context of the widget (see [1]). Unfortunately, the
    gtk_cell_renderer_pixbuf_snapshot which is used to render pixbufs
    internally uses that iconhelper.

    This commit adds a hack that increases the maximum icon size for all
    potentially affected dialogs to work around that problem.

    Exclude pages.c: In that dialog there are tick boxes that would adapt to
    the icon size too.

    See RM #1856

    [1] https://gitlab.gnome.org/GNOME/gtk/-/commit/38b0a153e2e25034eec7722d15c89211dad679d5

    Signed-off-by: Christian Mauderer <oss@c-mauderer.de>

commit 3e0eb8de0dbde0852142a03f37e805c101ec4c9f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 18 04:26:04 2025 +0200

    AI: Do not try to cancel treaty with a dead player

    See RM #1820

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4938325ad27ab731fcffaab2cebe75e22905759d
Author: Dino <macwiz23@comcast.net>
Date:   Fri Dec 26 21:59:30 2025 -0500

    rulesave: Fix saving helptext for Counters

    See RM #1844

commit e0420c9d1546a5e99cc1ccd8020553ae0965bb90
Author: Michal Mazurek <akfaew@gmail.com>
Date:   Sun Dec 21 10:34:11 2025 +0100

    AI: Limit diplomacy target iterations to alive players only

      - grievous insult retaliation loop switched to players_iterate_alive
        so revenge plans ignore dead players, matching other target scans.
      - shared-enemy love bonus now iterates only over alive players to
        avoid dead enemies inflating love changes.
      - ally nagging enemy selection now scans alive players so a dead enemy
        can’t short‑circuit nagging when a live enemy exists.
      - war‑footing check now iterates over alive players to avoid stale
        countdowns on dead players keeping war footing on.

    Reported by Marko Lindqvist

    Backported by Marko Lindqvist

    See RM #1831

commit 8d3a4476121dcc51842626bccef0f97d8e650a06
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 14 06:42:01 2025 +0200

    Fix "orginal" typos to "original"

    See RM #1813

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 71e3aaa63f90b65455f6404f875f50092cc27076
Author: Dino <macwiz23@comcast.net>
Date:   Wed Dec 24 16:01:29 2025 -0500

    Fix typos in reqtext.c

    See RM #1839

commit 1ad16ed67710f66d7c6617f79c9f499d3923ce26
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 29 18:13:56 2025 +0200

    Add audio_is_dummy_plugin()

    See RM #1780

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 488246c710e3c1f1d4bf9277b798292638988e80
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 25 09:29:52 2025 +0200

    savegame: Restore sane state after failures in savegame_load()

    The server sane state was restored if there was error deeper
    in the savegame loading, but errors in main savegame_load()
    already left the server unusable.

    Reported by John Robertson

    See RM #1826

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5437840e1e9a19124e6cb8cc6e6a52a7b3a7f1dc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 10 00:50:19 2025 +0200

    gnulib-common.m4: Update to serial 115

    See RM #1806

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 56a6dc20d472d9a84225dbdba6e31a520f4b118c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 19 02:17:28 2025 +0200

    CI: Update actions/checkout to version 6.0.0

    See RM #1756

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 16608df1b32390c1ccce5b6d19e0e637ad5139cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 12 17:03:09 2025 +0200

    AI: Try "Collect Ransom" as an attack action

    Reported by David Fernandez

    See RM #1803

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f2590d8fdbe520b451c096bf88cdf3804c77c963
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 7 13:49:06 2025 +0200

    Update to emscripten 4.0.21

    See RM #1800

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2e1a2580d0ff6b4cee98623e4f96801e1b4be0c0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 6 00:58:44 2026 +0200

    Comment typofix: "WARRNING" -> "WARNING"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6a9607040b7c66d9d847574029d97892132d010f
Author: John Robertson <jro@advops.com>
Date:   Fri Dec 19 15:58:07 2025 -0700

    Qt: Add double-click handling to gotodlg

    - Airlift (if possible), otherwise goto
    - Alt for airlift only
    - Ctrl for GoTo only

    See RM #1808

commit 69dde480066f887427fb8d4b967db406f5054cf1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 22 14:27:45 2025 +0200

    Maintain list of thread specific structures in requirements.c

    See RM #1754

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 160c531af41b1b7d09ce9a23f829109b93588887
Author: Michal Mazurek <akfaew@gmail.com>
Date:   Thu Dec 18 16:38:31 2025 +0100

    Fix some comment typos

    See RM #1828

commit 6c9ca955e55bfb5debf71822200b3459b78e8002
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 19 04:03:34 2025 +0200

    lua-5.4: Add lua.css

    Required by readme.html

    See RM #1824

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d7e8a1652846bd6e1db9793b53223e8212a2cfce
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 2 00:13:07 2026 +0200

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0b06c701d2714b0db816e08a41dfaf6bc6902519
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 2 00:10:29 2026 +0200

    Finalize 3.2.2 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 38d0220bc4fdbf67bd0502262d7f2abab5f39e41
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 2 00:08:44 2026 +0200

    'make update-po' before 3.2.2 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit edf867aa93fd73f12d936696df125b8ee8ca5836
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 2 00:01:45 2026 +0200

    FAQ: Update latest stable version number to 3.2.2

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 34047cfbb6e12669a997438bcf65dc99c1ff96b1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 1 16:11:02 2026 +0200

    NEWS-3.2: Add 3.2.2 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d38d74a38ec55d60c0b39ff56650db0e4d4d324e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jan 1 13:32:44 2026 +0200

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2025-12-29)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 108020e001631b73ede68e1460812cf976ab8dee
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 29 21:17:23 2025 +0200

    FAQ: Refresh from wiki

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c7ac025f60a18bf7e0035f378819c6c564f6c1db
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 7 20:39:54 2025 +0200

    martian.ruleset: Correct spelling of "Apollinaris Patera"

    Reported by Gavroche Hugo

    See RM #1775

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6520d120a1b7c14957657771ef6907b3f1bfc81e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 8 03:32:38 2025 +0200

    INSTALL: Drop '+' from the name of default gtk-client

    Default client is gtk4-client, and gtk version 4 and later
    don't have '+' in their name.

    See RM #1785

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c2ab0c40279c20f626b5e29c29fac25893aa009
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Sun Dec 28 07:55:26 2025 +0500

    Update for Russian translation

commit a581a62173431b13e908688c4642a7e6de6a2366
Author: John Robertson <jro@advops.com>
Date:   Sat Dec 20 00:12:02 2025 -0700

    Qt: Fix gotodlg crash after city destruction

    See RM #1827

commit 6c25dab593bc6a3e9db9b7fe8adfb219ca417bc6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 29 14:57:47 2025 +0200

    CI: Rename clang_debug as clang-debug

    See RM #1771

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 03bd40839993aa7f448e4d7ba602dd42cf8235fb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 8 02:06:21 2025 +0200

    Update linuxdeploy to version 1-alpha-20251107-1

    See RM #1802

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0e8cb3485436bb8da09c96fa7f347cdaa8bd35ce
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 24 12:13:05 2025 +0200

    Comment typofix: "initialze" -> "initialize"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7c758cf05acefa7182ea7d01b628a5350c6b6e78
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 24 10:41:25 2025 +0200

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 34122a6466fb332df6c7986b4d4e5b8f0d9aa3b3
Author: Dino <macwiz23@comcast.net>
Date:   Mon Dec 1 22:06:49 2025 -0500

    client: Make it clear that amount of one time bonus is an estimate

    When the target city is foreign, client does not fully know
    how much the "Enter Marketplace" trade value would be.

    See RM #1792

commit efd28539d6473fc0f41c4aa4fff8ccd820447871
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 14 06:09:06 2025 +0200

    helpdata.txt: Document '<' and '>' volume control keys

    Drop documentation of old deprecated volume control keys,
    even though they still work, for now, on some clients.

    See RM #1812

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0cf966f7098289b265b1e71c2e36743c48f9c8d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 29 09:20:44 2025 +0200

    Make citizens_unit_nationality() more robust

    - Make 'pop_cost' an unsigned value
    - Assert that 'pop_cost' is not zero
    - Give 'pcity' parameter a nonnull attribute
    - Assert that 'dominant' is not NULL in the end
    - Be prepared for 'dominant' being NULL in the end

    See RM #1784

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 22aa35fbd614136a61a888055554ba8e3d8ddeeb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 14 05:16:36 2025 +0200

    Work around client crash with server < 3.2.2

    Server < 3.2.2 may fail to send the other player government
    when contact is re-established. That led to crash in client
    diplomacy dialog. Work around the issue in the client side.

    Reported by David Fernandez

    See RM #1811

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 92fc9906a7dab9fcdbf280f968c705ec31308e21
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 23 22:03:34 2025 +0200

    handle_unit_change_activity_real(): Clear goto_tile later

    Only clear goto_tile when it's certain that the activity
    will be changed, to make sure that previous ACTIVITY_GOTO
    is not left in effect with the cleared goto_tile.

    Reported by John Robertson

    See RM #1766

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 148754719476ba16c76198041011b35817046f24
Author: Dino <macwiz23@comcast.net>
Date:   Sat Nov 22 17:32:14 2025 -0500

    gtk4: Stop menu shortcut keys from blocking characters in chat

    Reported by Alexandr Ignatiev

    See RM #1435

commit 49c67236603566ac76d9f0684230812770baceeb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 22 12:16:10 2025 +0200

    Update gettext bootstrap files from gettext-0.26

    See RM #1753

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e25ce9829e6fa10d47c2afacfa30ed889222bee
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 14 07:10:37 2025 +0200

    Comment typofix: "fuction" -> "function"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7eaa43095703c23228fa77021f4205b8bbfef051
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 2 05:35:56 2025 +0200

    Send info about the other player when re-establishing contact

    Lack of updated government info led to crash in client
    diplomacy dialog.

    Reported by David Fernandez

    See RM #1793

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b768965d4b86350fe57e8d9300fda71f247b6ac8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 14 04:08:03 2025 +0200

    Msgmerge Galician translation from main branch

    Main translation updates by ninjum

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ad03def529e9b251e63dc00fba55ebd0ec63e1e8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 27 16:07:27 2025 +0200

    martian.ruleset: Place city names one per line

    See RM #1777

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3294459466615c7c4e794a87c5d3318809fabdb3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 19 03:00:35 2025 +0200

    sanitycheck.c: Check that goto_tile is set for ACTIVITY_GOTO

    Inconsistencies reported by John Robertson

    See RM #1750

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8d22c78fe17c9edee8649aabae2429a5edfabbb6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 4 23:13:37 2025 +0200

    Fix svg flag drawing with full citybar disabled

    Reported by Dean Brown

    See RM #1666

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bca7f093ad6a8af2428b30454639ab78275c62f2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 2 20:44:57 2025 +0200

    gnulib-common.m4: Refresh from gnulib

    Serial remains 114

    See RM #1795

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b811258fe8c8775a154b68a3ebaa73bedae90ab9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 22 23:01:03 2025 +0200

    CI: Update codeql-action to v4

    See RM #1757

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 193d7e63aed1c081ee2466d204335f24f832acd6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 30 06:55:59 2025 +0200

    Meson: Make server binary build to depend on verhdr

    See RM #1788

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f150fd46fc4f5a1a345802e3b172354d51a02dc0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 17 04:11:29 2025 +0200

    Flatpak: Build sdl3-client

    See RM #1744

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 17a014624de655cb67de238df6f1667bc0885478
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 26 05:06:37 2025 +0200

    savegame3.c: version-gate goto_tile sanity logging

    See RM #1769

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 297d270f44d60ccf7392974ee95cafbcff83eb0b
Author: Dino <macwiz23@comcast.net>
Date:   Sun Nov 9 23:23:36 2025 -0500

    gtk3.22: Fix Show Stack Size shortcut in MacOS

    See RM #1483

commit 246eb406cb63f68145b12a9400cf3e742a7b6bff
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 23 23:57:47 2025 +0200

    README.sandbox: Fix typo "moves" -> "move"

    See RM #1764

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 14e527cff62543ae5aa8e9142b9d58d74fccc171
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 11 23:10:49 2025 +0200

    INSTALL.meson: Document all project definition file keys

    See RM #1151

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2cc20c9d0c76114dd7b2c7123e0a294c7bf331bd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 30 11:01:49 2025 +0200

    Comment typofix: "relativ" / "absolut" -> "relative" / "absolute"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ddedb23cb40c935c179f8c7b861fc67567d9f2a4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 24 02:03:59 2025 +0200

    savegame: Do not nullify goto_tile from ACTIVITY_GOTO unit

    goto_tile was being nullified from units without orders
    even when they have ACTIVITY_GOTO. This led to crash later.

    Reported by David Fernandez

    See RM #1768

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d2520bd988c871721d0581e20a02306f3759c757
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 20 23:57:49 2025 +0200

    audio: Update SDL3_mixer support to use stable API

    See RM #1713

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d4363299a1f563dca7d51abb6f50c7e2a74fec58
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 5 19:06:48 2025 +0200

    Correct ruleset comment about custom unit class flags

    See RM #1722

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf0495666b6c632fa3613375505ece60f0fa124a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 19 01:45:04 2025 +0200

    gnulib-common.m4: Update to serial 114

    See RM #1748

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a9bc0b482cbe720314796b819c3bea7021012473
Author: Dino <macwiz23@comcast.net>
Date:   Mon Nov 3 17:36:57 2025 -0500

    Qt: Add Game menu items Volume Up & Volume Down

    See RM #1630

commit 61b8bae38158f187b8954ab38239200632264d54
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 16 23:43:34 2025 +0200

    savegame: Sanity check ACTIVITY_GOTO against valid goto_tile

    Running ACTIVITY_GOTO with NULL goto_tile caused crash later on.

    Reported by David Fernandez

    See RM #1741

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b140601617935417efbac85dc7a5d4bacc51b492
Author: Dino <macwiz23@comcast.net>
Date:   Fri Feb 14 23:53:11 2025 -0500

    Qt: Clear message window between games

    See RM #1239

commit 9c2b5ae79e4fc20d94a6bd95ac984f1691029571
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 3 19:31:22 2025 +0200

    SDL3_rotozoom.c: Include fc_prehdrs.h before windows.h

    See RM #1723

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e048c7df984ed0067bc1a9e3c38223d5b3795a52
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 21 01:05:44 2025 +0200

    Comment typofix: "cant't" -> "can't"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 788bf644da422940c1944dee1c946a36ac2f7db7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 9 12:23:53 2025 +0200

    Flatpak: Update Qt Sdk & Platform to 6.10

    See RM #1728

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cd7fb7e931658db2c552426a49e2ce2c22814ec3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 10 05:14:54 2025 +0200

    vision.h: Update module documentation comment

    See RM #1503

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8253fe7bd601e37fc927873d5d0b158c0b9f1935
Author: Dino <macwiz23@comcast.net>
Date:   Sun Nov 2 23:28:19 2025 -0500

    civ2civ3/sandbox: Refactor unit gold upkeep

    For the automatic help to produce better results.

    See RM #1267

commit cb569ddfd8bdc82d952412766648e528fe54fcc0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 9 23:59:56 2025 +0200

    Open data phase for a player created midgame

    See RM #87

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b81ab8b50117591100c631c331044e5727028ec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 12 17:45:00 2025 +0200

    Audio: Let plugin.play() to know if track is music or sfx

    See RM #1734

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2c3ccfcce7f2c313cdc840e8b3a1bf915c7cf631
Author: Dino <macwiz23@comcast.net>
Date:   Mon Nov 3 17:08:23 2025 -0500

    gtk3.22: Add Game menu items Volume Up & Volume Down

    See RM #1717

commit e92d7a118e709374fd2654f5b9b8e1170b3e5b0e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 15 13:56:18 2025 +0200

    Comment typofix: "proprety" -> "property"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c468730f5a2c023d516f399f92d472d875efccad
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 9 22:24:03 2025 +0200

    sdl: Fix combo widget text placement

    See RM #1727

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0f9def72d55638b9142e2a681d272dc29fcf1e54
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 26 10:09:06 2025 +0200

    savegame: Respect savegame item order when loading action sub targets

    See RM #1611

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 52447effbdcd9681dcc499c035fd2cca320fa0ef
Author: Dino <macwiz23@comcast.net>
Date:   Mon Nov 3 16:52:06 2025 -0500

    gtk4: Add Game menu items Volume Up & Volume Down

    See RM #1718

commit 6708b595b08007d5cf8d532d58fc62444addfc92
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 3 21:25:32 2025 +0200

    CI: Update mac runner to macos-26

    See RM #1725

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1140eed339c0093e03d573817ef2d19ab1f7e316
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 2 09:14:58 2025 +0200

    Qt: Work around Qt-6.9 theming issue

    See RM #1697

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6a102fe461cedfc3d711ad8d969c3a11a1f429b3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 25 09:30:24 2025 +0300

    Update to emscripten 4.0.17

    See RM #1714

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5a19926c0a5b3302be8a351185166e6eab9b3f75
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 5 22:56:58 2025 +0200

    Comment typofix: "botton" -> "bottom"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d224a9c16b85e2f146fbbeb28e8ed2f5e792db9
Author: Dino <macwiz23@comcast.net>
Date:   Wed Oct 8 22:51:57 2025 -0400

    Rulesets: Document max numbers of all ruleset objects

    See RM #1698

commit 20e72a920a7e66d56d0ae667d54ba554c25e0261
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 25 05:40:40 2025 +0300

    BUGS: Drop '+' from the name of gtk

    See RM #1715

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 564a816610c4b54e2ec37b232a6eb0342e34bddf
Author: Dino <macwiz23@comcast.net>
Date:   Sat Oct 25 19:20:40 2025 -0400

    Qt: Fix disappearing "About..." menu items in MacOS

    See RM #1672

commit 2d307302a95fb67ae3baf7f6248364799de74591
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 2 16:59:28 2025 +0200

    FAQ: Refresh from wiki

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 70c1a24c274d0d26cffe1418a23b5ea130997998
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 2 12:21:47 2025 +0200

    Comment typofix: "devided" -> "divided"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 76c266d02d35c3f25993d03cc334be2c2fbe6d2b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 25 06:44:51 2025 +0300

    CI: Update setup-msys2 to version 2.29.0

    See RM #1704

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2c2ababd60775c1754e124d56f8550f641e949d7
Author: Dino <macwiz23@comcast.net>
Date:   Sat Oct 18 15:16:23 2025 -0400

    Sanity check ruleset against unit hitpoints being zero

    See RM #1676

commit 8350575c5959e5d7576b18d53efa01b3833f7129
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 21 23:00:31 2025 +0300

    Flatpak: Update gnome Sdk & Platform to 49

    See RM #1707

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bd1e3ec6e9143d0d2eaceba162ab746eea43b5d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 19 00:56:05 2025 +0300

    Fix crash on nations dialog for dead player government

    When the player had no embassy with the player that is now dead,
    but had recent contact with them, server does not send
    the government information but the client assumed that it has it.

    Reported by Peter Sergeant

    See RM #1708

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 55d32d1c9b4ef0d6fe5e29882f46752f94c7b2ae
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 21 23:46:38 2025 +0300

    Comment typofix: "delgate" -> "delegate"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 523877d27a6a12e6c91d1fd6e61b8e2afaf03223
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 11 21:45:23 2025 +0300

    Flatpak: Update freedesktop Sdk & Platform to 25.08

    See RM #1685

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6c10ed4aeae5e88cde338b35a7142de2cd23cc86
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 16 03:18:35 2025 +0300

    Meson: Fix lookup of sdl3 dependencies

    See RM #1706

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c62b48ed79cb397632047f785d5482b06d422501
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 11 21:33:48 2025 +0300

    Meson: Use dependency() instead of find_library() to find sdl

    See RM #1703

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25dea6705f7118fd1f2da80e6d3d14a9f19f98cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 11 18:20:51 2025 +0300

    CI: Update actions/checkout to version 5.0.0

    See RM #1678

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7a24892d787f382cefe12914f1e3da197310a4cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 11 03:37:08 2025 +0300

    NEWS: Fix a typo in freeciv-3.2 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3bae95aeb623a9380b149e566c9edbb9123427df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 10 22:54:21 2025 +0300

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 38dcf9ab18d91876ebd4a43750e5b9d097d0fda2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 10 22:48:35 2025 +0300

    Finalize 3.2.1 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c8613a0bfdc7c15d4d6d8277f2f0a7c390d0223f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 10 22:07:36 2025 +0300

    'make update-po' before 3.2.1 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 903a8746bc66be9b6e6efbbbab5f7faf3262d9bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 10 21:06:24 2025 +0300

    FAQ: Update latest stable version number to 3.2.1

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fbd49480a9b6eb4419dafdbdc4e52f28a449fad0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 9 21:21:08 2025 +0300

    NEWS-3.2: Add 3.2.1 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d61836b6693cd8bc5bd3d9c296d34a572b6b4ee1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 8 20:47:52 2025 +0300

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2025-10-02)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ab5d4b3ebb0d7519f09dfea09dc8713eb3cba52c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 4 17:32:05 2025 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c4a000d540be5adf2b1ba349c6055c5c82765042
Author: Dino <macwiz23@comcast.net>
Date:   Thu Sep 4 21:25:38 2025 -0400

    Fix overflow in culture victory calc

    See RM #1673

commit a3832d63a56af3f6a0c567f860c85620a2f5ee7d
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Sat Oct 4 15:02:58 2025 +0500

    Update for Russian translation

commit 9f3ce5340de023a2a4f30d2e717b1b0c357afd59
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 27 03:31:53 2025 +0300

    config.rpath: Update to 2025 version

    See RM #1692

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4d0cd516693dec3d629252e5d81407001d41ed9f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 25 04:06:51 2025 +0300

    iconv.m4: Update to serial 32

    See RM #1691

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 292faf812f6924b59906cb707a243f4bb5a155d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 21 02:47:11 2025 +0300

    dai_manage_airunit(): Fill path finding parameter

    See RM #1657

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c70cabc96bcd8e43cdcb1eed8eccf81ce2a3831b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 21 19:45:37 2025 +0300

    mkstemp.m4: Update to serial 31

    See RM #1690

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8425b96469a1926b4a93513669c13442d4e4e6dc
Author: Dino <macwiz23@comcast.net>
Date:   Tue Sep 2 18:09:32 2025 -0400

    Qt: Add Help menu item "Policies", remove duplicates

    See RM #1671

commit c0a7e0cf4a99db1960e2cc49c4815d20424ee1a7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 20 18:59:58 2025 +0300

    Update stdlib_h.m4 to serial 85

    See RM #1689

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dcc4497444ad5566a176f84c66d4b06186d46460
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 10 19:04:10 2025 +0300

    Make parameter long in curl_easy_setopt() call

    See RM #1679

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d735be8def88e2f9545ce60590157019ca9276af
Author: Dino <macwiz23@comcast.net>
Date:   Tue Jul 29 23:33:42 2025 -0400

    gtk: Don't show "Bonus" for non-road extras in help

    See RM #1637

commit c3fab0932a0f9978c27f2d451a1a6b5b8af07685
Author: Dino <macwiz23@comcast.net>
Date:   Sat Aug 30 17:37:00 2025 -0400

    Pass city anarchy and rapture information to client

    Some parts of the patch by Marko Lindqvist

    Reported by Affy Dal

    See RM #1639

commit cdcfce1880d054146cbd7b08fe09542b65c8b0dd
Author: Dino <macwiz23@comcast.net>
Date:   Sun Aug 31 16:04:51 2025 -0400

    Qt: Fix mixup with thumbs up/down in diplo_wdg::update_wdg()

    See RM #1668

commit 3ddf8ac083b3bbfbd9b2fa767b173b033f72d034
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 31 04:58:49 2025 +0300

    Apply patch 3 for lua-5.4.8

    See RM #1664

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e1b49bf0d4fd6fa2c25ef83d41c4b96a52266b5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 18 00:33:25 2025 +0300

    Update to emscripten 4.0.13

    See RM #1656

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9a6c868abdf175ea91784ae467624890b184e830
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 29 03:40:13 2025 +0300

    granularity: Add "Attack" action enabler

    See RM #1635

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cbd27e44a4e736cb633332e68db58cbae216cd02
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Aug 7 06:27:48 2025 +0300

    Revert "southyemeni.ruleset: Fix legend typo"

    This reverts commit af6fdb1f6bfa68dc87d9e9b094ea106527b1f3db.

    "bloc" is correct word there.

    See RM #1648

commit cd8aff24d88959034e8fc01b0eec52d8e74b0e9c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 17 15:04:33 2025 +0300

    Protocol: Make tech_upkeep a 32 bit value

    Reported by Marco Schuler

    See RM #1654

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e55ef27daf0556d2644f2a0915983b244aec152
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 3 07:43:34 2025 +0300

    gnulib-common.m4: Refresh from gnulib

    Serial remains 113

    See RM #1644

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7aab1765fdc3b9246a927e9570e7c27a860673eb
Author: Dino <macwiz23@comcast.net>
Date:   Thu Jul 24 23:08:05 2025 -0400

    Fix log message typo 'unrechable' -> 'unreachable'

    See RM #1614

commit 74feed967ca9e2d261417069bb8d857afd3c1e2b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 8 02:42:43 2025 +0300

    installer_cross: Parametrize create-freeciv-sdl-nsi.sh with the gui

    See RM #1651

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 718e22a3896033e5b81f24e11dcc5f4927954aae
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 21 05:16:58 2025 +0300

    Add tile_resource_is_valid() function header

    See RM #1481

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7ff28b4382efd83d7c56efbb1fe6c3e272ae0ac5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 22 04:39:26 2025 +0300

    Update to emscripten 4.0.11

    See RM #1624

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 47d8ebe1345e75b3f86be2ba4cac35ed80b89733
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 22 02:17:34 2025 +0300

    californian.ruleset: Fix comment typo

    See RM #1622

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 07697e1936313f923e125736071ca0e8dd7d543b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 16 17:44:39 2025 +0300

    Comment typofix: "definiton" -> "definition"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b5168fae1f75fea143d1acb5ba4d53d0e57882bb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 9 03:59:02 2025 +0300

    Qt: Fix xxx_selected SLOT definitions

    Fixes nation selection.

    Reported by leo.priori

    See RM #1652

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 05d7edaca38974c72405852addddeddaa191e53b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 22 08:26:54 2025 +0300

    Makefile.in.in: Get rid of 'meson.build' modification

    See RM #1371

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 176bd6b4d9e30475b474c6fc44c94a938be6ddd3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 9 02:36:26 2025 +0300

    granularity: Give science bonus for first techs

    See #1592

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3057a25f1657099fb06bf20c4e62eb4908206616
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 8 03:22:56 2025 +0300

    Swap headers of api_signal_callback_by_index() and api_signal_by_index()

    See RM #1461

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a47f08178fc4d7407a0a8e2272a278f8e01ecf8f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 6 12:35:22 2025 +0300

    sdl: Make widget_id a 32 bit value

    See RM #1528

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bc648d59bcf05d1c6f8de12a003e117206dc594a
Author: John Robertson <jro@advops.com>
Date:   Mon Aug 4 22:44:17 2025 -0600

    savegame: Fix crash with illegal action lists

    During the save or load of a game, if an order's action list is unapproved,
    or malformed, the internal memory for the action list is deleted and
    set to NULL.

    But the deleted memory is later accessed as part of a sanity test.

    Added defensive code to guard against access of the NULL pointer.

    See RM #1646

commit 4b380dbc69b7911708703b8731a0510e7e2e9f14
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 22 06:27:05 2025 +0300

    installer_cross: Rename create-freeciv-sdl2-nsi.sh as create-freeciv-sdl-nsi.sh

    See RM #1628

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9ed07e27a700e9907ef4916ccacd0141795ee7de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 7 23:59:01 2025 +0300

    granularity: Increase base Empire_Size_Step to 2

    See RM #1586

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e4db63913f867c3d1e7ffdeecfb4e498f24e64c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 7 23:07:18 2025 +0300

    AI: Fix comment typos found by codespell

    See RM #1585

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c429da985924f6c423b068c8f386421a84d8bf65
Author: Dino <macwiz23@comcast.net>
Date:   Thu Jul 31 15:44:22 2025 -0400

    Qt: Fix crash on savegame preview

    See RM #1641

commit f2a96f4f357725f1bb6ec0a55348dcc23e730129
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 9 04:40:47 2025 +0300

    Do not build server binary to ruledit appimage

    See RM #1594

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5cd28abfc829c66075bed6237aabcceb949d16c3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 6 13:18:05 2025 +0300

    karen.ruleset: Fix legend typo

    See RM #1577

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4c6eae700dea91168551f098e42ca3d60fb5dbc7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 5 08:33:19 2025 +0300

    city_reset_foodbox(): Drop obsolete 'shrink' parameter

    All callers expect it to be TRUE.

    Rename function as city_shrink_reset_foodbox()

    See RM #1571

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit be3e8e043b95997c866e2c55c504e5c132e0afb3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 2 01:20:40 2025 +0300

    Comment typofix: "indentify" -> "identify"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ca493319e48cd98ce0d834b7fb3111f5ef491dc4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 24 01:14:31 2025 +0300

    Apply patch 1 for lua-5.4.8

    See RM #1537

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5547c833655e4d76c10bd22a7520ad728707c22c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 22 11:01:09 2025 +0300

    liege.ruleset: Fix legend typo

    See RM #1534

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d26b49374a4426496e8811520f8ab3f949ce1137
Author: Dino <macwiz23@comcast.net>
Date:   Fri Jul 25 23:58:13 2025 -0400

    Qt: Fix "Collect Ransom" action

    See RM #1629

commit 18e5be67f9f1e03b5bd2e6b598a9fa89350e841c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 26 00:36:37 2025 +0300

    gnulib-common.m4: Update to serial 113

    See RM #1540

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f780058c27b8991e4fd5f8f8c680336a395f62fc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 7 02:29:22 2025 +0300

    actions.h: Add comment that enum action_actor_kind used in network protocol

    See RM #1582

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 93a7c5a5959cf7c1f3600d4b90d99d10c700719e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 12 11:18:05 2025 +0300

    Meson: Drop SDL3Main check on Windows

    See RM #1599

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1f8b60435bc89051095bc98704ce5382fa9457d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 18 23:18:58 2025 +0300

    meson: use `warning_level` default option instead of `-Wall`

    We can set the warning level to the equivalent of `-Wall` by default
    using project options, while enabling users or downstreams to set
    a desired warning level if they so choose.

    This will also reduce noise during the configure stage as Meson
    warns about `-Wall` for each compiler.

    Main branch patch by Matt Jolly
    Backported by myself

    See RM #1316

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea8e350e6f399c5bb8eedc382f4501fe0145e256
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 6 04:19:48 2025 +0300

    sdl: Make get(_)pixel() x, y parameters int

    See RM #1467

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1841565a3068df70d4ff38bcf2ba41e54c84df8a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 18 01:41:43 2025 +0300

    meson-winbuild.sh: Bump version number to 3.2.0

    Drop 'alpha' from the version number now that freeciv-3.2
    tree in general is stable release branch.

    See RM #1613

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea28278f596f0a4b83ebdf2b228cbaa3bf78da3e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 7 00:48:33 2025 +0300

    gtk4: Fix goto dialog Show All Cities toggle

    Reported by Alexandr Ignatiev

    See RM #1578

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9011340151c3506e1a9496803cf79a72c87befc3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 5 18:51:22 2025 +0300

    fcmp-cli: Show modpack installation instruction

    ...when run without any parameters, after
    listing available modpacks.

    See RM #1486

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 394b2f0f8489a37beffb3a5a280cfd9db9cc0417
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 5 04:31:22 2025 +0300

    installer_cross: Add qsvg.dll plugin to Qt6-client installers

    See RM #1485

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e67b4db02c2bb922b3bb5bdb6bc8663736e15b0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 9 00:31:50 2025 +0300

    optiondlgs: Automatically apply options before saving

    See RM #1587

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9a301360ebdbbbe68796fd06fc367d878c066c13
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 24 20:08:03 2025 +0300

    Update to emscripten 4.0.10

    See RM #1538

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8ab397288f8c4df940622f78aba755283fb759f0
Author: Dino <macwiz23@comcast.net>
Date:   Sun Jul 6 17:14:43 2025 -0400

    Tell user about goods a unit is carrying

    See RM #1554

commit 201da257960e76c2c04d624d9876517ee23bd825
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 5 02:11:49 2025 +0300

    entry_new(): Initialize entry type with ENTRY_ILLEGAL

    See RM #1484

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fc26408f34434d6073a451b7ee1560ba3d6e439c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 21 23:45:52 2025 +0300

    Comment typofix: "agressor" -> "aggressor"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0dc399d45ff9518aaca036cc06e52a6d7fdbeb6e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jun 11 03:59:02 2025 +0300

    Msys2 Makefile.meson: Add 'make release' target

    See RM #1511

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8c6a48099a7906ffa109347fca9fdc2faf884656
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 20 10:15:14 2025 +0300

    sdl: Add 'widget_id' type

    See RM #1529

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fa848b91adc4248b00192cd03859efe653ea8ffd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 13 04:42:33 2025 +0300

    Update progtest.m4 to serial 11

    See RM #1522

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit af5b1475c8d84bae017abd8a9c58ff505c681c2d
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Fri Jul 11 19:54:57 2025 +0300

    Correct airlift action possibility check

    Don't airlift onto a non-allied unit tile.
    Consider airlift to ally cities being not blocked by counters
    if the counters are not checked anywhere.
    Consider unseen tiles potentially providing native terrain
    to airliftable "boats".

    See RM #1564

    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>

commit bf6f3020e5b926b5d813d8765a1af923c3ac56ba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 12 03:16:03 2025 +0300

    meson-winbuild.sh: Set audio driver explicitly

    See RM #1513

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 00309727dbbf05e1c26f664a0a813bdf647b3c84
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 10 08:31:52 2025 +0300

    louisianian.ruleset: Fix legend typo

    See RM #1502

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 92f29e403fe39b48dac2426fb2902ffe93b2c118
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 15 04:27:26 2025 +0300

    savemain: Update capitals when loading savegame

    Reported by Dean Brown

    See RM #1524

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a4c20a2dee361e3fcc1263ba4f61566807965295
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 19 01:03:29 2025 +0300

    Comment typofix: "fulfilment" -> "fulfillment"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8afd428ca0935eb84a71468db58b6ce356797067
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 5 03:36:11 2025 +0300

    Msys2 Makefile.meson: Use '!=' syntax

    instead of $(shell ...

    See RM #1372

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cb30a767211fc72b8afc5c5f09ec1af1d01fdd65
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 02:30:29 2025 +0300

    Add at_thread_exit callback support

    Requested by Alina Lenk

    See RM #600

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0ad3cae32d43f9018941cff4ede50b4f5f74a51c
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Tue Jul 1 00:08:29 2025 +0300

    api_server_edit.c: Replace action target kind assertions on checks

    See RM #1550

    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>

commit fce237e9337ac8a4673b5982d149bea28d8c1482
Author: Dino <macwiz23@comcast.net>
Date:   Sun Jul 6 16:41:01 2025 -0400

    Fix bugs with carrying goods

    - handle_unit_packet_common(): failed to copy the "carrying"
    - place_unit(): unit_get_goods() needs to be called before send_unit_info()

    See RM #1579

commit bc80878a8d36e59bfd006bf834022e1952a831b7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 04:48:07 2025 +0300

    installer_cross: Add Qt6Svg.dll to Qt6-client installers

    See RM #1471

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 454f78612ef4e4ce99e687752c76f6b36e1e469a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 17 12:15:48 2025 +0300

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6b07887b7c129ca4db620d9412eb3ce52f43a4ee
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 17 12:13:31 2025 +0300

    Finalize 3.2.0 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cfeaa1d370bc51f8942ff9b3753dfeab2aa2dbf9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 17 12:09:57 2025 +0300

    'make update-po' before 3.2.0 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f973447af7303867b2236cdf167454981c93574c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 17 12:03:11 2025 +0300

    FAQ: Update latest stable version number to 3.2.0

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f61d753b59a08489891ed0fd26abbda31c7a6fa
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 04:42:59 2025 +0300

    Set default followtag to "stable"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 82e37d3b3ff29845be9a6606af4718d883f905a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 17 11:53:56 2025 +0300

    NEWS-3.2: Update to final 3.2.0

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 49d5e6e04282bf4185ec7fbb17b782274fb38622
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 10 07:21:14 2025 +0300

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2b527d8943c6eea0a11f0afeda94787c8b3ba301
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 10 07:08:27 2025 +0300

    Finalize 3.2.0-RC2 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d9531d98f892cc2738fae93f78c7c27394a13b36
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 10 07:05:58 2025 +0300

    'make update-po' before 3.2.0-RC2 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1b9007ee5daaf9ac727bea84cf2b083cf2be9db3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 9 12:16:56 2025 +0300

    NEWS-3.2: Add 3.2.0-RC2 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9343474bfd168b8ff44a3588c54127ab779cec6d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 5 01:16:47 2025 +0300

    fc_version: Add doc comment for FREECIV_DISTRIBUTOR

    See RM #1563

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2ac2e6705bc81e18e3732bbb35c0f5f7038f8eef
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 23:41:52 2025 +0300

    Accept PACKET_SYNC_SERIAL from non-player connections

    See RM #1562

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dc940a7298405b64138127229b5e876600659b24
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 7 02:42:03 2025 +0300

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2025-07-04)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e37238a482ac8bb44ccbae87a0d96581781d19a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 26 04:30:57 2025 +0300

    CI: Update setup-msys2 to version 2.28.0

    See RM #1539

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a885546a10406fe285e3b7d620baf487e0272b64
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 05:57:31 2025 +0300

    Fix check that collect ransom target is a barbarian player

    Reported by Dean Brown

    See RM #1559

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 94183a81f7bcf92953c8a8f260b1647fc6959f34
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 12 09:17:42 2025 +0300

    map.h: Add function headers for inline functions

    See RM #1234

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f97c80c0be83a42f238b9f7439f8a97f57e29bca
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 6 03:28:52 2025 +0300

    Update included lua to version 5.4.8

    See RM #1431

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7a4c515420481b6d537e2a278516daab95859f95
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 00:20:35 2025 +0300

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d7a41ad4ce96f04c69bb491046e599676a7a26e3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 00:16:23 2025 +0300

    Finalize 3.2.0-RC1 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3b5286af342b38f5787546a35763bbfec99d171e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 4 00:13:54 2025 +0300

    'make update-po' before 3.2.0-RC1 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cd2287ebbb1f34c9df8a959b4c426ba13c2e5468
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 3 02:55:44 2025 +0300

    NEWS-3.2: Refresh 3.2.0-RC1 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ac99ba7cd4ac9537f53da8bda2848bc933bb4360
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 24 15:20:29 2025 +0300

    ci-build.sh: Output meson log on meson failure

    See RM #1443

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b7f4636c1a2943bb0de8739873cf7fa5467a1fe4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 30 00:53:46 2025 +0300

    Comment typofix: "intput" -> "input"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 361d1f63c7c79f2f62e7a4b6fb4a8125214e1821
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 13 08:27:36 2025 +0300

    CI: Rename 'normal' job as 'autotools'

    See RM #1499

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 403154ce906bd1d2e37c0207e1a13efb470c8587
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 10 04:44:54 2025 +0300

    Qt: Cleanup races_dialog slots parameters

    - Drop unused 'deselcted' parameters
    - Unify parameter names between the declaration and definition
    - Fix indentation issue on races_dialog::style_selected()

    See RM #1495

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 13692681ca57742241b3dedbb13904c2c9d81896
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 30 06:16:03 2025 +0300

    CodingStyle: Instruct test build with '-Doptimization=2'

    See RM #1477

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f93fa1cc7caaf104204b09d48cb6bb784691af8b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 28 02:15:14 2025 +0300

    Msgmerge Galician translation from main branch

    Main translation updates by ninjum

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6bc245b1a1941ba2d3fad337edaebdea8ca4529d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 26 23:21:31 2025 +0300

    NEWS-3.2: Add 3.2.0-RC1 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 92bfa069ebfd287362af3af2983ab1a9484a9bcc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 28 05:51:06 2025 +0300

    Qt: Drop sc_orig from class fc_sc_button

    See RM #1468

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b35ddb5e1fde1b290794ee6edf210bbe008f2d3c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 24 08:00:57 2025 +0300

    Pass civ_map to city_gold_worth()

    See RM #1409

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3e03db93685eabca3471cbfe82a7ac8b4bd1f67f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 26 21:57:50 2025 +0300

    HACKING: Update autotools options to meson ones

    See RM #1447

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bd7de58eae31a4d9097b28088b55986d319a98ef
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 28 00:26:23 2025 +0300

    Update to emscripten 4.0.9

    See RM #1463

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3a77dfbeccc6be0102f09dbef27726183d4a217d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 24 18:07:21 2025 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 863256c2d8bba080a2cd96042637a3bfaeebc162
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 8 05:39:34 2025 +0300

    gtk3.22: Fix edit mode FoW toggle sync

    The FoW mode was being toggled when ever
    the toggle and underlying option were synced,
    even if they were in sync already. This lead to
    recursive toggling of the option on and off.

    Reported by Dean Brown

    See RM #1492

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 94dde393976b37833a7bf13892b88a46406be92e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 21 22:00:33 2025 +0300

    Update Polish translation by Hubert Kowalewski.

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2025-06-16)

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f9db33292ec183675a008ce8387a7f0d6e55d7f7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 05:13:00 2025 +0300

    Correct technology_load() function header

    See RM #1466

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0ba90063decf5fc98e70aff2c6096bb0b72b43aa
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 2 02:53:24 2025 +0300

    Meson: Make libfc_ai to depend on specenum

    See RM #1479

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d826985d7d619b531de906cdde99b1d468ce0ef0
Author: Dino <macwiz23@comcast.net>
Date:   Sat Jun 7 20:08:14 2025 -0400

    gtk: Fix handle_edit_key_press() to handle Mac modifier

    Macro for platform specific menu accelerator modifier keys
    moved from menu.c to gui_main.h.

    See RM #1489

commit 6e47a4563bbbdbcc5691f3e6fdc1c48a25d47488
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 10 06:40:40 2025 +0300

    CI: Run meson job also on arm runner

    See RM #1498

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit edca06fb0e21765724e9c48756c263fcd1620ed7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 24 13:41:30 2025 +0300

    README.AI_modules: Note that only autotools supported

    Build time configuration of AI modules is not yet
    available in meson based build system.

    See RM #1441

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 79e34a0f72bf3cfd9c3679464959f37839bfe6d0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 20 11:38:12 2025 +0300

    Comment typofix: "comit" -> "commit"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 33895ee6381d7cc87c3734f3307a6583ea4b2548
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 10 04:07:57 2025 +0300

    Switch branch to stable mode

    See RM #1448

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 543b15703e0cf3a294f150f65779f1f4795ca048
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 26 19:45:31 2025 +0300

    Meson: Define FREECIV_NDEBUG on release builds

    See RM #1455

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fbe931db702cb4d509c8362263a1a1b7ebf42ac2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 23 19:59:54 2025 +0300

    Add fc_thread_self() and fc_threads_equal()

    See RM #1434

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8172537b2a2659eebe79240aa088638f711a548f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 17 05:09:23 2025 +0300

    Change "behaviour" to "behavior"

    See RM #1397

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 52ff5529e4fcc62ee0823b9173fd0b225832a624
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 26 21:30:48 2025 +0300

    civ2civ3/sandbox: Reduce number of Storms

    See RM #1456

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 24d1de4bdf1daee85678dc3a5e9219d0e4b82f0d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jun 6 23:16:32 2025 +0300

    README.fcdb: Note that mysql available in autotools builds only

    See RM #1390

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8d386240823e1ad063030cfa6fe4ee29179f08a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 14 05:58:31 2025 +0300

    Comment typofix: "rearched" -> "researched"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 098e8abe69a73a324cf8f2bb18c0c29d7f76a6da
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Fri Jun 13 13:23:31 2025 +0500

    Update for Russian translation

commit d1d952b7aa9487aa96e78fa11b16a6dd9e203507
Author: Dino <macwiz23@comcast.net>
Date:   Mon Jun 9 22:40:19 2025 -0400

    helpdata.txt: Update Unit Movement Controls section

    See RM #1496

commit d171c309396dc7b8d3536d0d8780854129c8cc18
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 24 14:31:51 2025 +0300

    Meson: Enable svgflags by default in the build

    See RM #1442

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b31de0734083861a7158f7d95056c6b103a45ea5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 15 05:19:35 2025 +0300

    tileset-demo.sav: Clear resources on unknown FoW tiles

    Then saved with 3.2.0-beta2.

    See RM #1385

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dabc91be92c6b5b8372b24b9272c6744dcf216a9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 13:58:12 2025 +0300

    Fix assignment of unowned tiles

    Unowned tiles and extras were sent to the client as owned
    by the player 255.

    See RM #1474

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 06c95fdd312874e98cb56b1d8f27466b794d2538
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 21:57:53 2025 +0300

    palauan.ruleset: Fix legend typo

    See RM #1476

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 529e28501c3efee31a930a69e64616214221b3d6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 10 06:28:16 2025 +0300

    Comment typofix: "totaly" -> "totally"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 911c8379b12ad9889c959288ea0dc763905f854b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 17 06:52:11 2025 +0300

    gnulib-common.m4: Refresh from gnulib

    Serial remains 110

    See RM #1398

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bed992f525eeb3b67d0cc0eb4a3ca6c7ad836c79
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 25 23:50:30 2025 +0300

    palestinian.ruleset: Fix comment typo "captials"

    See RM #1446

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 72a8ab26590ca9cab0f068d13ef02d52418aca41
Author: Dino <macwiz23@comcast.net>
Date:   Mon Jun 2 23:38:42 2025 -0400

    gtk: save options dlog size

    See RM #1288

commit 24745c34628d4638e4e532b730a252b7b3998788
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 16 22:02:54 2025 +0300

    Makefile.in.in: Refresh from gettext-0.25

    See RM #1391

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0491b1be5be44c20aac793c44d9c0990d56f8842
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 11 00:56:25 2025 +0300

    savegame3: Sanity check that FoW tile with resource is known

    See RM #1382

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e418e20f1160fbf4dab504c48ee79e8a82869c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 06:20:37 2025 +0300

    Rewrite main helptext for counters

    See RM #1472

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d3052bd26625d1487ac17de46443dec311c8310e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 11 01:27:02 2025 +0300

    southyemeni.ruleset: Fix legend typo

    See RM #1386

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1bd533b4270f3a47393bcd3992f1b5c88668e13a
Author: Dino <macwiz23@comcast.net>
Date:   Tue May 27 23:55:40 2025 -0400

    helpdata.c: Tell land <-> sea transform rules

    See RM #1277

commit c04b39e4bef22cc5942045ebbb374fd29349c4d1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 10 04:28:28 2025 +0300

    ci-build.sh: Execute emsbuild.sh with relative path

    See RM #1360

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 38247510b62e7dc3fb4fcd1c4d2d85193bcaa3a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 23 16:50:19 2025 +0300

    Qt: Add newline after svg flags error message

    The message printed when svg flags are enabled in
    the client options, but disabled in the build,
    was missing a newline.

    See RM #1430

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c706157ce55cd2c67dce0016d7c66dc9f0ee066b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 22 03:42:16 2025 +0300

    installer_cross: Make autotools build to use crosser-2.10

    See RM #1424

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5debbd4656ad646287650f7ea1694f0ab5d9b704
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 10 01:07:22 2025 +0300

    README: Update autotools options to meson ones

    See RM #1366

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 303ecd8479552b36e749d6b010d765fedcb6e73a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 10 01:53:24 2025 +0300

    Refresh supplied scenarios with freeciv-3.2.0-beta2

    See RM #1381

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7839e5099b01f1509dc150c0ca9495fb9449992d
Author: Dino <macwiz23@comcast.net>
Date:   Sat May 24 20:49:04 2025 -0400

    gtk: Remember the size of the help dlog

    See RM #1287

commit 5aa6adf43c0a2c5ad84568bed9e3e8d242943fcd
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Mon May 26 23:36:03 2025 +0300

    Lua: Fix getting achievements and disasters by name

    See RM #1458

    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>

commit cf9551d3326729cc2bd652635d25ee01b870fb14
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 18 09:13:13 2025 +0300

    Apply patch 8 for lua-5.4.7

    See RM #1407

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 43631ef2c8fe145127aba139a093e090c9dc046b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 19:28:20 2025 +0300

    paraguayan.ruleset: Fix legend typo

    See RM #1354

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bc34e59061da664e61e4921cb90d52a25785e022
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 4 22:15:52 2025 +0300

    emsbuild.sh: Accept relative path to environment

    See RM #1358

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1e1aa0baa44dffcbfde1ecfa69b6dc7468d53d1d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 21:27:37 2025 +0300

    Comment typofix: "TRANSFROM" -> "TRANSFORM"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 518a6504884007816035811198921eb468f6d283
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 18:26:07 2025 +0300

    Rename counter_behaviour as counter_behavior

    See RM #1365

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d21ed91fa6acc5cc04c0ad96ae5dead9c10d7349
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 16 21:57:39 2025 +0300

    Update to crosser-2.10

    See RM #1393

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bd627f5095423049f29514550c98beeb8dc0f75f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 29 06:06:14 2025 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ef8c6a33337ecd576b892451613421a6a116d787
Author: Dino <macwiz23@comcast.net>
Date:   Sun Apr 13 22:36:52 2025 -0400

    Mac: Use meta/command key as menu accelerator

    See RM #1292

commit a449d25a7bed286280bccbb52a7fa93f003030ea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 4 19:15:05 2025 +0300

    Update lib-link.m4 to serial 35

    See RM #1368

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aef52b6787ab1bfae4f1c77ae9acde16d992247e
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Tue May 20 23:36:45 2025 +0300

    Improve checks at cities.ruleset specialists load

    Not access nil pointer if no specialists at all are defined.
    Give correct hint if no default specialist is specified.

    See RM #1400

    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>

commit 5d03784c16347dcf137dfaccfe9c6322c592d581
Author: quakec1m4 <duly-collide-dove@duck.com>
Date:   Fri May 16 20:34:14 2025 +0200

    croatian.ruleset: Update legend

    A less reductive description of Croatia.

    See RM #1394

commit 5a986ac82dbc033e2318b06bc5c80bce28b72f17
Author: Ihnatus <ignatus31oct@mail.ru>
Date:   Wed May 21 21:14:53 2025 +0300

    Correct the documentation of get_city_citizen_types()

    See RM #1401

    Signed-off-by: Ihnatus <ignatus31oct@mail.ru>

commit 4089e931138742eb67f23e3bfc373d8ed08d8ee9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 16:38:03 2025 +0300

    INSTALL: Correct default client documentation

    See RM #1364

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d0d3665f4590beaf9b9303abec218d2dcb61c6f7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 10:07:39 2025 +0300

    load_action_kind(): Correct for actions without ruleset variable

    If an action has no target kind ruleset variable name,
    do not look the target kind from "actions."

    See RM #114

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f2bcc2fbddcc15ff8acc0e1e441b5a4eb71801b4
Author: Dino <macwiz23@comcast.net>
Date:   Wed May 14 23:48:12 2025 -0400

    Respect 'quiet' in building obsolete_by

    See RM #1238

commit f22f7b085b1ae2729cee2dd9b0be146e79af66ff
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 21 17:41:13 2025 +0300

    Comment typofix: "ans" -> "and"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c3663459204c28c33b60888b0e3d850e72f6f468
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 02:30:28 2025 +0300

    CodingStyle: Update autotools options to meson ones

    See RM #1347

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a8268c3c3b7a42266453a03072fd172ebcf14d87
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 9 04:13:09 2025 +0300

    Msys2: Do not build gtk4-client for "win64" by default

    See RM #1376

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9ee137a78234ae7e5c9148613ecd22be9fc5405d
Author: Dino <macwiz23@comcast.net>
Date:   Fri May 9 20:38:49 2025 -0400

    gtk: Fix saving and restoring city dlog size

    Minor style corrections by Marko Lindqvist

    See RM #1289

commit f1140b444a279ad6ce2ef4b458e1bbdc3e4e33a6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 03:45:03 2025 +0300

    ci-build.sh: Print success message after meson jobs

    See RM #1359

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 43a4b603767c899c326568c4412df41424e5fd37
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 2 02:54:15 2025 +0300

    README.effects: Fix typo in FormAge documentation

    See RM #1344

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3865802475ea465ffb9c7b6ddf86c61e60c42834
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 17 19:04:45 2025 +0300

    Comment typofix: "unitialized" -> "uninitialized"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7e13c9700fc6aeaea44f085af80c00f40a4c7ed7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 2 02:28:16 2025 +0300

    alaskan.ruleset: Fix comment typos

    See RM #1343

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dec00fb6048dcd1edd553c9a11577f0ce6182f80
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 2 03:06:34 2025 +0300

    gnulib-common.m4: Update to serial 110

    See RM #1342

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 55fc07ffefe8e7921c3d72713e7102a819a94b2a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 2 01:06:53 2025 +0300

    Apply patch 7 for lua-5.4.7

    See RM #1341

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ba8a4a08a29cb5b214ccab6eca7246f96379a1c7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 14 17:46:33 2025 +0300

    Autotools: Refresh gettext .m4 files from gettext-0.24.1

    See RM #1388

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit af57db27b232dcbe0cc173dcce03541d92b06276
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 5 00:37:02 2025 +0300

    Makefile.in.in: Refresh from gettext-0.24.1

    See RM #1370

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea2603b111285ff2b7442a3190b90652ea24fc50
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 2 00:46:28 2025 +0300

    README.packaging: Update autotools options to meson ones

    See RM #1340

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c0f9bf29ec858965aed4eb95181910e1e8b6bcba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 3 02:45:59 2025 +0300

    Update to emscripten 4.0.8

    See RM #1357

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5e692e5d812fd5e049d132c479a01e94fa1969d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 1 19:38:12 2025 +0300

    Correct "informations" to "information"

    See RM #1335

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 40d007def4685c0dc069743a0e9ac5bdb4f8eeb6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 9 19:27:16 2025 +0300

    Comment typofix: "activitiy" -> "activity"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f430fd3b17743103e556692cd8e4cc0c4bc3ed96
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 30 20:26:56 2025 +0300

    Apply patch 6 for lua-5.4.7

    See RM #1330

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4fa87046fa7b0602c29baf4b9c9003e04280639b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 9 01:39:47 2025 +0300

    FAQ: Update latest stable version number to 3.1.5

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 043047d9098f3c9dfe1e8cf703540784dc546eec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 25 10:39:49 2025 +0300

    game.ruleset: Fix "disater" typo

    See RM #1307

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6dd66439c1fadcfe9203d927768b5a908e9217b0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 6 19:02:35 2025 +0300

    Comment typofix: "Inititalization" -> "Initialization"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 099de8c84e80a79875b663f8288e9d2c8cfebbe6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 19 05:47:50 2025 +0300

    Filter out SDL3_rotozoom.[ch] from files to src-check

    See RM #1291

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b8b7a88dbbebeff0f0da8fcc0bc42d7597195e16
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 27 08:05:20 2025 +0300

    gnulib-common.m4: Update to serial 109

    See RM #1327

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e610520dc1a466f70707f6dc1bd4a60443de9c5c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 24 06:34:26 2025 +0300

    Apply patch 5 for lua-5.4.7

    See RM #1319

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1b7954debfba12c308f72ea60a10414d48fb80f2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 18 04:13:24 2025 +0300

    README.msys2: Document readline disabling in meson build

    It was still documented autotools way.

    See RM #1306

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 914ace7141a0fbdb2df2e6d1a80584b1563a4888
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 20 05:02:53 2025 +0300

    update_national_activities(): Clean out 'free_uk[]'

    See RM #1312

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0bf5dc007e43ce87ea59ec8e5fe97cfcd5862209
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 1 15:48:34 2025 +0300

    Comment typofix: "Inialize" -> "Initialize"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a1214b6871932cd75114435db45749e441fc96f4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Apr 22 04:34:16 2025 +0300

    iconv.m4: Update to serial 30

    See RM #1310

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7150bb130d38c1eb162183e2b1ea4209d17bfbfc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 24 13:19:28 2025 +0300

    rssanity: Reword barbarian's init buildings message

    See RM #1322

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a72d831ae8a90685d30b5d7eeeb0dbe1caafbca6
Author: Dino <macwiz23@comcast.net>
Date:   Tue Feb 18 00:08:50 2025 -0500

    AI: Check is_action_enabled_unit_on_stack() in dai_rampage_want()

    Otherwise the attacker might change the target tile to one
    where there are no units it can actually attack.

    Minor update to the patch by Marko Lindqvist

    See RM #1242

commit 65e63b84e98da67db4ff4f9b62c6e02d6e87baf5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 17 12:28:27 2025 +0300

    Update host-cpu-c-abi.m4 to serial 20

    See RM #1298

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4b694e4f1f96392ba55c3a74de789d24ef2188da
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 17 06:56:37 2025 +0300

    Document Qt6Svg requirement for Qt-client

    See RM #509

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 66c933f30af75d58a6e3ac797e77fa182d480a5c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 17 02:14:07 2025 +0300

    Flatpak: Update Qt Sdk & Platform to 6.9

    See RM #1299

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6c16447e74ce5c21ddc77f037c8b119c08dfefbf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 25 06:50:50 2025 +0300

    Comment typofix: "parmeters" -> "parameters"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a93c7b6163590ffade7d794a2553b09d7fae55e2
Author: Marcin Serwin <marcin@serwin.dev>
Date:   Sun Apr 20 20:41:33 2025 +0200

    sdl2: Remove unused SDL_syswm header

    See RM #1314

    Signed-off-by: Marcin Serwin <marcin@serwin.dev>

commit e31c5731509bccb3b3515f72c54040fa6299fc54
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Apr 16 18:45:24 2025 +0300

    Meson: Add -fPIC for Qt6 compile test

    Reported by Zdenek Sojka

    See RM #1296

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dc0935de43c8c3e7d866c86e62f0aed1fd1c7168
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 17 01:22:30 2025 +0300

    gnulib-common.m4: Update to serial 108

    See RM #1297

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5d72f48c0daffeee8ffa467e33e412f20e3fb80a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Apr 20 01:02:37 2025 +0300

    Msys2 autotools: Build Qt6 installer for qt-installer target

    See RM #1311

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0c57a968427e8638beb9f392a7a8d0b5a1edbaa1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 12 13:50:32 2025 +0300

    call_incident(): Move 'players_iterate_end' to correct place

    See RM #1265

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9b0e923fcbbd7ac72465bf24eeb9f9799d6bd6cc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 5 18:56:13 2025 +0300

    Document sdl3-client prerequisites

    See RM #1285

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6d9b78e5b3542f053d6b5df40b459ab0055f7629
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 5 11:05:04 2025 +0300

    Remove deprecated pathlib.PurePath.is_reserved() usage

    See RM #1227

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2de1f56dfd0492508c93f861e7dc56aa2fdefa49
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 3 01:49:00 2025 +0300

    Replace unit_name_orig() calls

    The function does not exist. It was used in commented out code.
    Replacements are utype_rule_name() and unit_rule_name()

    See RM #1280

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c6dab6c3b024fc25e9464a24195f277933ab5188
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Apr 12 16:18:17 2025 +0300

    Comment typofix: "quiting" -> "quitting"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 98b681d86edde8958628efb89817677ab60ff924
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 31 21:59:59 2025 +0300

    Fix corner road graphics for RoadAllCombined

    Patch by Jakob Ilves

    See RM #1276

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6ad1075b1a5096d02b8c5731518e90e5981a164b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 30 23:14:54 2025 +0300

    Meson: Set 'version' for project()

    See RM #1272

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c04c2af7684be01e2986cea7b2261be281082cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 11 02:03:46 2025 +0300

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dbf152cd66a7f80f6cc45353f77b04895cbbc7c8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 11 02:00:23 2025 +0300

    Finalize 3.2.0-beta2 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d2c1275ab90a29bb5aa0bd041754e2a9ec41b353
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Apr 11 01:52:39 2025 +0300

    'make update-po' before 3.2.0-beta2 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e91358e1d200d2dc306e13e993c0813230eed550
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 10 23:19:26 2025 +0300

    FAQ: Refresh from wiki

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7ef21b3622eb59e5485e909ba19641b93a862699
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 10 23:08:29 2025 +0300

    NEWS-3.2: Add 3.2.0-beta2 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 96958c48f824c2220a6184eddd950f57128201b4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Apr 10 20:38:39 2025 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2da546dee21a62f0d32362427e9fd5416d707f28
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 31 00:55:30 2025 +0300

    List sdl3-client in documentation

    See RM #1274

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1cbb9068d15b1600ed965ee6bb79902ea599ecd0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 30 10:04:56 2025 +0300

    civ2 effects.ruleset: Fix typo "declar"

    See RM #1268

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0eeff8da45830d8fbbe97f41eea117ee88d9b528
Author: Konstantin Vedeneev <konved@gmail.com>
Date:   Fri Apr 4 00:09:58 2025 +0500

    Update for Russian translation.

commit 9bf9f37e7ee9c3e37a9edc17eed500bf08ab65df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 24 01:18:38 2025 +0200

    Clean out unused AI_MOD_STATIC_THREADED code

    See RM #1264

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fc0e921b47190ad11b5fdb1b8837411eb4158fde
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 22 12:32:55 2025 +0200

    Qt: Block in show_tileset_error() for fatal errors

    Reported by Dean Brown

    See RM #1262

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9358c9e29a64cfb326934fd6799a49275d4f9777
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 30 20:22:55 2025 +0300

    Msgmerge Galician translation from main branch

    Main translation updates by ninjum

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aeb1f2855b4af265f26f38da8298c79c035a3966
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 30 16:55:02 2025 +0300

    Comment typofix: "Consctructor" -> "Constructor"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3876d26ad16c28bd6bbe7dc9465ed749f956eee1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 22 03:11:57 2025 +0200

    README.multiplayer: Fix "justs" typo

    See RM #1261

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c29977a63eeefd2e154a151a3fc89c76d1638702
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Mar 21 02:47:05 2025 +0200

    Flatpak: Update gnome Sdk & Platform to 48

    See RM #1258

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 483f736b64c31865e80b646b00a38ef3de860006
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Mar 19 00:57:11 2025 +0200

    Fix worklist purging for units that cannot be updated

    Return value of worklist_item_postpone_req_vec() indicating
    that a purge is needed was ignored when worklist unit target
    both wasn't upgradable and had tech requirements.

    See RM #1257

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e60e5ad1fdba07316c0c35ff3e3c6f391e50278f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 15 02:03:01 2025 +0200

    buildings.spec: Correct "a.philosophy" tag typo

    The tag is commented out, so there was no functional bug there.

    See RM #1256

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 33d14a30e52a726178e808ad8f1b8f959798008a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 15 01:07:06 2025 +0200

    Update unit_bombs_unit() function header

    See RM #1254

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 386ea9f40e7a4187ca39f17a2e747edc61572db6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Mar 15 00:29:23 2025 +0200

    gtk: Fix freeciv window focus handling

    Reported by Michael Ortmann

    See RM #813

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8dbce33ceef3fd20216caeeec5094d5d47e45a9d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Mar 14 21:33:18 2025 +0200

    Update to emscripten 4.0.5

    See RM #1253

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3803d0ec413a00dcd97dca1610a61f25a7d09b8c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 11 22:57:13 2025 +0200

    Build sdl3-client appimage

    See RM #1250

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0eab850e47f3230eafe5c587dbf02fa1bc8be775
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Mar 11 22:50:06 2025 +0200

    sdl3 theme: Fix references between files

    Some sdl3-client theme files were referring to other files
    in sdl2-client theme instead of the same sdl3-client theme.

    See RM #1251

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 72b096cf194fa6f8d1d9f728dd520df9cb943c25
Author: Dino <macwiz23@comcast.net>
Date:   Sun Jan 26 21:08:35 2025 -0500

    Improve Disaster types frequency documentation

    See RM #1231

commit 8c3288cd3c0bd9c85100c062da6cee99f74b365c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Mar 10 18:33:22 2025 +0200

    Update linuxdeploy to version 1-alpha-20250213-2

    See RM #1249

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ebac0a390258955088792a6a7e9a98e4b39bc68
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Mar 2 13:09:42 2025 +0200

    CI: Update setup-msys2 to version 2.27.0

    See RM #1248

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3f22d2bfff2b23ba966b32c686e64f3b621a6882
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Mar 6 00:39:26 2025 +0200

    Comment typofix: "aquiring" -> "acquiring"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 37c1454e4f89bdabdc4199baff13c7090dff6d39
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 28 06:03:27 2025 +0200

    Do not /write deprecated /metamessage commands

    Metamessage is included to the output as a setting.

    See RM #1247

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 61a0e765a7f39803bd162900b287160664e409cd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 28 05:54:55 2025 +0200

    Correct comment about "aiunit.c" to "daiunit.c"

    See RM #1241

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bbf10262c6a138b82b4ece6181a8e16afb633668
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Feb 28 04:25:18 2025 +0200

    README.modpack_installer: Remove mentions of .serv

    The referenced functionality is provided by .modpack nowadays.

    See RM #1245

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 07f26974e6abb99ac1d7519bdaaefcc784f3e1e3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 24 20:54:06 2025 +0200

    mapimg2anim: Fix ffmpeg check

    See RM #1246

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f53d54d1e7ddebc2e1db7d2c9477b71d8f816df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Feb 23 01:17:06 2025 +0200

    Update host-cpu-abi.m4 to serial 19

    See RM #1244

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f77adc6f17c1cca6e96e8881570e2f249e1c659c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Feb 20 04:49:26 2025 +0200

    Autotools: Link sdl2 subproject checks against libm

    See RM #1243

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a63cb951730e639b3b30c7e69e548f30807f09d1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Feb 17 01:20:47 2025 +0200

    Comment typofix: "feeded" -> "fed"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9eb26a9373b70d4d6806c488e57af1bea851f78b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Feb 5 21:02:00 2025 +0200

    AI: Pass civ_map to kill_something_with()

    See RM #1235

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0aeccd8d1bed93a480f9f5593ba86e9bde28f992
Author: Dino <macwiz23@comcast.net>
Date:   Sun Feb 9 17:02:15 2025 -0500

    Meson: Correct BUG_URL

    See RM #1236

commit a35f43eed3da30b0e9566c05fa44d22f4db2e207
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 1 18:07:35 2025 +0200

    AI: Pass civ_map to dai_choose_attacker()

    See RM #1233

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 545acc51e498a429901d2d9970bcac3cd54b080e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 1 16:01:35 2025 +0200

    CI: Update msys2 runner to windows-2025

    See RM #1232

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5b6c2502a3f3478f6fce74286d0df9462d5a5022
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 27 23:43:06 2025 +0200

    AI: Pass civ_map to dai_choose_paratrooper()

    See RM #1226

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4fa82fc5b33f86ed21deebcab9673be2e65bfb93
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Feb 1 18:17:18 2025 +0200

    Comment typofix: "interchangab..." -> "interchangeab..."

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c327a50c98e4acdd3663e667f447867f3278e47b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 28 01:25:54 2025 +0200

    generate_doc.sh: Create output 'doc' directory

    See RM #1228

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64b498a4a6d2e734c5b86855983d104ecf3de452
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 24 23:54:58 2025 +0200

    idex_lookup_...(): Make 'world' parameter const

    See RM #1225

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a98cdef8d51831fc84542b4fcd90c4a9b596abf1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 20 00:28:41 2025 +0200

    AI: Pass civ_map to dai_evaluate_tile_for_air_attack()

    See RM #1223

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b6ac993590b7954239ce5a7a2db8b2b0c8a121f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jan 18 16:12:26 2025 +0200

    client/Makefile.am: Alphabetize

    See RM #1220

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c63e04994425d5132d64a1d9ca9533d51ddf47a0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 19 19:07:27 2025 +0200

    gnulib-common.m4: Update to serial 107

    See RM #1222

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b8eaabec4b95f37e3650c7294e80316422beea1e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 21 23:41:29 2025 +0200

    Comment typofix: "endianess" -> "endianness"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 09421d5c75f08f57e183479eb173dc5ee2ac81fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 10 17:54:11 2025 +0200

    AI: Pass civ_map to find_something_to_bomb()

    See RM #1209

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0c90e2e2117dcc88732d3d171b5d23aa3543558e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jan 12 11:02:05 2025 +0200

    CI: Make build step for CodeQL with meson

    See RM #1187

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7494625f17a6e76268cf4a50b82ad7010a09ab2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jan 14 23:43:47 2025 +0200

    Comment typofix: "hearbeat" -> "heartbeat"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 232c27b0491cc5c1aee058a9d91feab68506cfb6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 10 20:47:35 2025 +0200

    Meson: Require zstd.h to build in zstd compression support

    See RM #1207

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ff89ac02a4d6eef6e0cb0ae7aab3ded4123bce5c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jan 8 06:11:37 2025 +0200

    Correct "multipler" to "multiplier"

    See RM #1206

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a3aa541385ad4ae7d0824a45e91628fc874198de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 6 08:10:26 2025 +0200

    AI: Pass civ_map to dai_choose_attacker_air()

    See RM #1205

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 02023676bfb5776361f3cfdd7d43cd9bbe017f1b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 10 18:54:36 2025 +0200

    Comment typofix: "initated" -> "initiated"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 61003aa8e92db31646f05f746e678bb1e83b0d29
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 29 21:37:26 2024 +0200

    Granularity: Mark Courthouse helptext no-c-format

    See RM #1203

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bfc0dd58fbd65393c58ce0fff7bef2c25e441fc2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 25 15:01:13 2024 +0200

    AI: Pass civ_map to dai_choose_diplomat_offensive()

    See RM #1202

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 43b9f1f6e44b0d717f8a9fc90ae919435b20a22d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 24 18:24:47 2024 +0200

    Update stdlib_h.m4 to serial 84

    See RM #1201

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ea8f2c6ee0375c05163244dfca664cd6a3858e70
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 23 23:13:47 2024 +0200

    generate_gitrev.sh: Do not require tail nor wc

    See RM #1199

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 091ee4799a5a7139a5d4db29f9bbbf5992582a3b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 22:49:18 2024 +0200

    ax_cxx_compile_stdcxx.m4: Update to serial 25

    See RM #1198

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 685d620eeccebbe311f6a6bb72ded67fa8ea4ba4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 3 02:14:57 2025 +0200

    FAQ: Update latest stable version number to 3.1.4

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4d5319459a9aa15cd175b735ab22b0a68332c0c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 19:36:49 2024 +0200

    README.granularity: Fix "Reseach" typo

    See RM #1196

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b7767524fdbcbacd5c240f90e91aac0c92fab97a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 20:41:54 2024 +0200

    Meson: Add C11 threads support

    See RM #1197

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 752fa952d59940a43307737b0719ff24c4d305b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 29 21:34:36 2024 +0200

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 19db8743302bcc0caaabd443b18df7d37a6caa68
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 29 19:28:28 2024 +0200

    Update Slovak translation by Pavol Gono

    This is S3_1 translation msgmerged against S3_2 strings

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 615abafc84d5325891dfcc31708ae9a92007e02e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 20 16:25:45 2024 +0200

    Meson: Set FREECIV_SAVE_PATH on run.sh

    See RM #1194

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 963049816931ee18837e8fa7c08001c7fd107831
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 19 06:21:40 2024 +0200

    Ruledit tab_enabler::delete_now(): Remove enabler completely

    See RM #1192

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7d18656558f53ed90b7aafbe13fefeed8c878357
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 26 16:12:04 2024 +0200

    Update Finnish translation of ruledit domain

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1d0466f6fdca4686a6e2eabfca6533cad8a207c0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 12 03:52:50 2024 +0200

    Fix generator/ comment typos

    found by codespell

    See RM #1185

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d25f689a9168ba652f8044bc5bb2d87c0d47fc79
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 18 17:20:17 2024 +0200

    emssetup.sh: Add

    Move emscripten environment setup functionality from
    ci-build.sh to a script of its own. This new script
    is included in the release tarball, for making
    emscipten builds easier from tarball.

    See RM #1193

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8150080e8bb607e6e9029f190af1318525e09743
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Dec 26 00:28:07 2024 +0200

    Comment typofix: "ploted" -> "plotted"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 162107227385e94dd45b633fbeef5841790a22ba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 11 07:27:02 2024 +0200

    AI: Pass civ_map to dai_manage_military()

    See RM #1181

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 520faee2466de50cc06c87ab397d9bcf33a415ae
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 10 00:54:04 2024 +0200

    Makevars: Update from gettext-0.23 upstream

    See RM #1179

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d48d9efdbc9e81a46732e3768f413aeb340904a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 30 06:35:44 2024 +0200

    AI: Pass civ_map to look_for_charge()

    See RM #1171

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 626d950e2002c059fe86ddfd49f05c4c4853acc7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 30 04:12:29 2024 +0200

    savegame: Fix unused entry warning about game.save_known

    Reported by Molo_Parko

    See RM #1170

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 169927233c4df10052cb2644a47b15284189702f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 30 01:55:19 2024 +0200

    Unhardcode wld.map from city_support()

    See RM #1169

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 60d61a3db87b5902ffe775fc41292fb0262db18e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Dec 22 19:17:52 2024 +0200

    Comment typofix: "suggetion" -> "suggestion"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cdccab93e72336790432c424ff6283da028d10a2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 16 02:45:30 2024 +0200

    CI: Update setup-msys2 to version 2.26.0

    See RM #1190

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b2d62725dab7da09fb6099c869a537d78558ec54
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 23 08:58:24 2024 +0200

    AI: Pass civ_map to dai_choose_bodyguard()

    See RM #1155

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68fafa08bfff1299e6dc0a01f1680b538d213806
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 16 06:49:31 2024 +0200

    Ruledit: Allow enabler addition and removal on non-experimental build

    See RM #1128

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0d79ba73b15ed22d8968787871d7a146a8b47f21
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 7 08:41:13 2024 +0200

    Qt: Fix Qt5-mode compile with gcc-15

    See RM #1176

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7e0316a92a1fc97e8044a25c3915a15c2142c491
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 17 19:29:40 2024 +0200

    Update Polish translation

    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2024-12-17).

    Contributors to this update:
    Aleksandra Bordzoł
    Denys Danyliuk
    Serhii Dmytrychenko
    Jonasz Jaworski- Kędzior
    Magdalena Łucewicz
    Anna-Mariia Mentynska
    Emilia Panasiuk
    Seweryn Piątkowski
    Maja Ruszczyk
    Emilia Sulima
    Hanna Szczepaniak
    Miłosz Wołoch
    Weronika Woszczek
    Iga Woźnica
    Natalia Wójcik

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit da8834f47148b6ff57d94aa2d47ff41f84444afc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 30 03:32:34 2024 +0200

    savegame: Load game.random_seed

    Reported by Molo_Parko

    See RM #1167

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7756b2dd34975a7f6ba2e5f908778994d10203f2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 15 21:30:38 2024 +0200

    civ_map: Set num_continent/num_oceans type to Continent_id

    See RM #1120

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2ef46a556b20dd788851f8008fb980780b7a6231
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 17 02:44:50 2024 +0200

    Unhardcode wld.map from city_unit_unhappiness()

    See RM #1130

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b5b9f578e2c7cdda315f82b0c5565fdf166a48d1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 6 07:29:22 2024 +0200

    Update sdl3-client screenshot

    See RM #1081

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 35128e8d240fa8968bff7692ca710926f5f10332
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 15 21:07:18 2024 +0200

    Fix advisors/ comment typos

    found by codespell

    See RM #1119

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e58a060535e2345e8c69ebb23c830cc55f7ed4ed
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 11 06:20:21 2024 +0200

    Silence deprecated declarations warnings from C++ builds

    See RM #1180

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 796c60dd429eb8870e41b295a6c2a3516b5c7017
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 29 22:44:35 2024 +0200

    savegame2.c: Load map.random_seed

    Reported by Molo_Parko

    See RM #1166

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 69fbfaf34e27ce5bdd3fefb35949ec7563f932d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 15 20:23:00 2024 +0200

    AI: Pass civ_map to dai_process_defender_want()

    See RM #1117

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9232761dd4d7e2ffbb33023aca871166800dee12
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 13 05:24:15 2024 +0200

    Comment typofix: "selectes" -> "selects"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 678eac31eda06100cc737fe200efe5561634cd17
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 7 05:20:59 2024 +0200

    Makefile.in.in: Refresh from gettext-0.23

    See RM #1175

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ed7959427dd4966f56a1cb7e0b3b7c32b21cc64
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Dec 4 21:25:49 2024 +0200

    Update po.m4 to serial 33

    See RM #1173

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit af34452932cbb39497b13f2b0c0401122a3c584a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 15 18:16:14 2024 +0200

    generate_doc.sh: Silence fc_version

    See #1112

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8fd71ffd899b6972a2d577c91b5f85d923124e01
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Dec 3 22:14:17 2024 +0200

    Update gettext.m4 to serial 81

    See RM #1172

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5fcc03bf957b49cf9a8add73707810af115fe609
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 13 05:44:21 2024 +0200

    Unhardcode wld.map from city_refresh_from_main_map()

    See RM #1106

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1f1916210024e137a72713ee335b9c38b882f2b1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Dec 7 22:55:24 2024 +0200

    Autotools: Check if var arg can be const

    See RM #1178

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f433bb6e624a1197851120fa288f8c4dff0575e8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 27 18:50:38 2024 +0200

    Silence unused entry warnings about savegame2 scenario.game_version

    Reported by Molo_Parko

    See RM #1160

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 07843f8006f80b5eea16f9d795525179ae058b8a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 13:59:44 2024 +0200

    AI: Pass civ_map to dai_wants_defender_against()

    See RM #1089

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ed0c312510e5447fe34d9a8a55e5c259b6aa5f1e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 02:51:24 2024 +0200

    Make ftc_changed const

    See osdn #46353

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b4ef5f5f608fd86b66e5a4dfa008a51d96b29479
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 14:30:31 2024 +0200

    Fix savegame/ comment typos

    found by codespell

    See RM #1090

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9f7965a590dad8d3914d714a22362e8052cfeba0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 01:32:04 2024 +0200

    Unhardcode wld.map from city_exists_within_max_city_map()

    See RM #1078

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0183f2fa2d7dceb81c6693e0f841e6659a907fcc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 01:03:30 2024 +0200

    Ruledit: Disallow multiple req_edits for the same good

    See RM #1076

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dabb5ddb88989a35a75eed027dcf08c2a618d7f5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 2 17:19:04 2024 +0200

    NEWS-3.2: Add

    See RM #1146

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 07dffbb626f9b162f579405220c6f8faee48f101
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 21:41:07 2024 +0200

    Correct client knowledge about original city owner

    See RM #1067

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6403ac9e604db099597685d224c69db17869ffea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 6 00:22:03 2024 +0200

    Mark as development code

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 95e277c254b651778ad55d20a26a6f8dd992e85b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 6 00:17:34 2024 +0200

    Finalize 3.2.0-beta1 release

    - Set version number
    - Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit db1c92468ff560757ce63bb87ed05d98e29f49b3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Dec 6 00:15:52 2024 +0200

    'make update-po' before 3.2.0-beta1 release

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4ee26232c5ba513ba11a062d5943298ffea603d0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Dec 2 16:25:44 2024 +0200

    NEWS: Refresh 3.2 section

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f8624e2879d41052f5541316b2ddb09f3c8ee9d7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 20 21:44:23 2024 +0200

    CodingStyle: List fc_strlcat() in support.c functions

    See RM #1147

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a56acc3b1aae90651bb40bae7b7402ec7daef6ac
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 29 04:54:50 2024 +0200

    Add Slovak translation by Pavol Gono

    See RM #1165

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 69cd2731951bbabf01605536647ab5aa82762d6b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 11 03:28:22 2024 +0200

    civ2civ3/sandbox: Correct comment about game.ruleset to actions.ruleset

    Courthouse's Incite Revolt action prevention property is
    defined in the action enabler in actions.ruleset.

    See RM #1102

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a11811776b37869c51171b90e3b07e6f813b0914
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Nov 28 22:03:27 2024 +0200

    Ruledit: Fix Qt5 mode build

    See RM #1163

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f7ee8c022431f6d8d60e30f610173970cd3617de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 01:24:38 2024 +0200

    AI: Pass civ_map to assess_danger_unit()

    See RM #1077

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 441f6c167256b104db143ed78a1b7714939668f0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 25 07:12:49 2024 +0200

    CI: Stop installing icu4c for mac-meson

    It's already part of the environment.

    See RM #1158

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0dee5407ec1ac4668acf043af34e4ff6b60fed97
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 10 01:31:55 2024 +0200

    SDL3_rotozoom.h: Update multiple inclusion guard

    It was the same as in SDL2_rotozoom.h

    See RM #1097

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 24f0ee1e1931ae151601176d03eda3a0e9d89222
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 27 15:27:18 2024 +0200

    fc_version: Set development NEWS_URL to NEWS-3.2.0

    See RM #1159

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4cb94b3e20916887fafd9a7174662896637f2b90
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 17:48:20 2024 +0200

    Fix "typpe" typo

    See RM #1068

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 873949015c1ea5a533312d85f901d4ed49478ced
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 02:57:34 2024 +0200

    Manual: Load Windows post-crash debugger

    See osdn #42915

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c6df1cf15565dc935d57d68de440e89a7d5d2a39
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 00:29:50 2024 +0200

    Ruledit: Add achievement type and value editing

    See RM #1074

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 028e2988e98eb0fa7d85f1e32ffdf44c362efeb1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 13 17:34:46 2024 +0200

    gtk4: Work around issue that icons are not refreshed

    See RM #998

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 559146c7d0cacdb87fde484d4471e9a6091d3478
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 5 17:29:59 2024 +0200

    Fix aicore/ comment typos

    found by codespell

    See RM #1062

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 869a35e31e40770dc0d1bc80afa4af944355d282
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 17 09:12:38 2024 +0200

    CI: Update setup-msys2 to version 2.25.0

    See RM #1132

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3922b14e4fde5f0c226abc1cfb53c8789b0edd98
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 20 21:27:24 2024 +0200

    Disable silent_when_not_in_focus client option by default

    See RM #1148

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c708f8069601fe912653a17c489cdd93260ed9f8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 4 19:38:13 2024 +0200

    Fix typo "irrevelant"

    See RM #1061

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 83bb9a05d67b099e89892e6d7dfa6ab2296422a3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 26 19:03:19 2024 +0200

    NEWS: Add 3.2 news

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 623c56473b23ee62ca39b841f639e95f74a5679f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 4 18:01:26 2024 +0200

    pf_reverse_map_new(): Take map as first parameter

    See RM #1060

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ca2558ca788f10069248e7028ce980bf61d94806
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 3 11:19:21 2024 +0200

    greenlander.ruleset: Fix legend typo "Scaninavian"

    See RM #1042

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 65ee430c74600852f01c22d8c0bdc0446b7032c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 25 06:33:10 2024 +0200

    Merge Esperanto translation from S3_1

    Translation updates to S3_1 by Benno Lang

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64e1b1ed4c99385f75197a2260fbf62c0402f7e3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 11 05:09:02 2024 +0200

    unit_server_side_agent_set(): Send unit info only if ssa_agent really changed

    Saves some CPU cycles. More importantly for now mitigates
    a problem that when a unit with an activity is selected on
    the client side, it won't stay on focus if server sends
    this unit info packet before the activity has been cleared
    to be ACTIVITY_IDLE.

    Focus problems reported by bard and Helge

    See RM #1104

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 747f844d90b333cca8e2cf563d4f3135ba8fb23b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 3 10:57:50 2024 +0200

    rssanity: Clarify initial tech insanity message

    See RM #1056

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 199335bc921733ca8d2d48ffc27455eb6bab4bf0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 17 12:42:05 2024 +0200

    Msys2 Makefile.meson: Stop installing sound dlls to ruledit installer

    See RM #1134

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dd0a598fad2fa5b973694ecaf40cf481f14fb605
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 2 08:35:29 2024 +0200

    Unhardcode wld.map from city_choose_build_default()

    See RM #1052

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0f88cffbae4eb832f0bf08a6d351e61e4a451a20
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 23:40:29 2024 +0200

    gtk3.22: Drop experimental zoom levels support

    See RM #1072

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 032a209fffeb1b704541da46a81b8471a6cc03cc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 19 06:25:00 2024 +0200

    Revert "Update msys2 environment to 241102 level"

    This reverts commit 9e02454b6478b4609a68cfc028080d60cc9ad049.

    We're back to environment 240810. The newer environment
    had huge reliability issues in uploads from the environment.

    See RM #1145

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 19707f80dd0320eea53f3468adf5859e1ac668b0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 03:55:25 2024 +0200

    meson-winbuild.sh: Strip binaries

    See osdn #48559

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d1752085351984260203d5e7936db793ec422d3c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 00:09:47 2024 +0200

    cma_get_parameter(): Fix assert with parameter format version 2 savegames

    See RM #1105

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5a1c61a2efb78f9bb7b4c09364868d2b901e2b3d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 31 19:58:48 2024 +0200

    Clear action_decision_want icon from observer clients

    See osdn #48044

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dbb863c3a1ab43b971749ffa5f766975a292eda7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 02:07:36 2024 +0200

    CI: Update github actions to use actions/checkout v4.2.2

    See RM #1079

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1c567dff2d3dec055ae86562d17cb528af5b333c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 22:37:45 2024 +0200

    gtk4: Always build --zoom commandline option in

    See RM #1071

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 077f734bdd90a7a9ca289fb8f7881729e5cc7460
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 11 03:54:01 2024 +0200

    Free unit act_prob_cache if the action turned out to be illegal

    Reporte by Alain BKR

    See RM #939

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b3ccab62d80cfcde24a29f7cd537bacfbcdacc76
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 31 07:57:11 2024 +0200

    sdl: Add observer mode indicator

    See osdn #48133

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ba3f2c113095b349eefa92cedaa1fc0d8d60fc58
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 10 02:33:38 2024 +0200

    Meson: Fix metainfo generation

    See RM #1098

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2bf05fe80d5962233d1d6df2865321dd55c747f2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 30 04:01:02 2024 +0200

    unit.rulesets: Update CollectRansom documentation

    Barbarian Leader does not need to be 'lone', just 'undefended'

    See RM #1039

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c1df6f88f84a9de2ede8610678df8d59783442b0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 26 08:53:54 2024 +0300

    Autotools: Disallow --enable-client=sdl3

    See RM #1025

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4cb9c779a226505a54fb0c1e932161bc8ed1cc35
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 03:23:27 2024 +0200

    Qt: Allow reopening meeting from the players dialog

    Requested by alain_bkr

    See osdn #47790

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c63d369fd68996e99cdaaa6a261faf46e4a2b853
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 15 20:57:45 2024 +0200

    Comment typofix: "unambigous" -> "unambiguous"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ef3af5d5d72b49838f134b607d63e07804db8c48
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 29 05:02:33 2024 +0200

    action_prob(): Change 'known' type to 'enum fc_tristate'

    See RM #1029

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 96f6aafedcbbb792b404aec1047ae1bde2dcce07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 21:30:10 2024 +0200

    Enter beta mode

    See RM #1041

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4dd8def5692a1af9071b4bf3483b99844e2c5202
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 30 01:19:47 2024 +0200

    gnulib-common.m4: Update to serial 106

    See RM #1038

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 77596bea2f7c952c67e1d0ca8ea16e4f2d128c1b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 26 06:07:30 2024 +0300

    civ2civ3 & sandbox effects.ruleset: Fix comment typo "movemement"

    See RM #1023

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f8c1ef734d97001c6e9d7d599ad17ce94df03e93
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 25 01:52:49 2024 +0300

    generate_doc.sh: Sanity check parameter

    See RM #1017

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fd978dee0b9e4cda2d34e9fcb248be9c7ec631ba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 13 04:54:11 2024 +0200

    Comment typofix: "Absolete" -> "Absolute"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e1095549af7764e45c65f404e653434e34da52e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 26 05:22:37 2024 +0300

    Unhardcode wld.map from can_city_build_later()

    See RM #1022

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d8dd546c9455e0a6477df82257684b1166a03189
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 21:29:21 2024 +0200

    Bump version number to 3.2.0-alpha4+

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf06c4b0eea932e6ee9919f13b84b6bea8713aa7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 01:51:19 2024 +0200

    Set version number to 3.2.0-alpha4

    See RM #706

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1aceda1cf4b1389b5bda8be1e147d52e12a03ae0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 23:50:40 2024 +0200

    Refresh ChangeLog

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fd403418ec0eca713e3d31f35d580344ab7a3a97
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Nov 12 23:46:31 2024 +0200

    Make update-po

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9a8190ded320f98d8eedd3570b74e6146c35e3a2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 9 02:24:01 2024 +0200

    AppImages: Update linuxdeploy to version 2.0.0-alpha-1-20241106

    See RM #1080

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ce600d67ccf6edb95678d4da0f24eebe9a8b0dcc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 17:13:33 2024 +0200

    Correct sending "unknown original owner" in short city packet

    See RM #1066

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 80a07b1c1f8a319e3462cddc072c43ea988045f0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 2 06:41:55 2024 +0200

    Flatpak: Update Qt Sdk & Platform to 6.8

    See RM #1048

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 95408eb0c553c68bb3af79afbb29b58079df3f29
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 29 04:57:49 2024 +0200

    Make action selection dialog to appear on airlift

    Reported by Helge

    See RM #1028

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7617b0a82a4fb3382469ff3e8efb0e5e295873f2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 22 21:53:40 2024 +0300

    Optimize maybe_become_veteran_real()

    See RM #1001

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9e02454b6478b4609a68cfc028080d60cc9ad049
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Nov 6 20:55:59 2024 +0200

    Update msys2 environment to 241102 level

    - Added wget2 packages

    See RM #1049

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 847e287940a8b0a52803895c5c973d9baf116df5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 31 07:35:45 2024 +0200

    gtk: Make spaceship menu entry insensitive when no spaceship

    This is consistent with how the spaceship entry is
    insensitive in the nations dialog.

    See osdn #48231

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ead1900301889411f7b4277cdf278492c004efba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Nov 2 06:34:26 2024 +0200

    Autotools: Search moc from /usr/lib/libexec/

    See RM #1050

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d2aaf5c4191e21a59c7d24e1d1bde5c2aa57c8c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 22 04:42:26 2024 +0300

    Fix utility/ comment typos

    found by codespell

    See RM #1005

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 28549d655433554fee21f6dd2eb3153306d8fbd2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 22:24:16 2024 +0200

    Comment typofix: "miniscule" -> "minuscule"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4855015fb7c53b9f5ebb7799ee951a9120709d5b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 24 05:40:40 2024 +0300

    Add main page for doxygen

    See RM #1015

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bb60d0767c3e97aac74f2844ce7d8d06d002a75b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Nov 8 04:25:46 2024 +0200

    FAQ: Refresh from the wiki

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e716e22dd9452a3b0aa7a458b460fda6f2c61340
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 29 23:28:14 2024 +0200

    Freeze network protocol

    See RM #1037

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 91d894ef0555968ce4ac0fcaccedeba1944bb75e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 29 07:15:46 2024 +0200

    Update stdlib_h.m4 to serial 82

    See RM #1030

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7da3f1a21008e03666380acb668898b436df744
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 26 04:59:27 2024 +0300

    Update action_prob_unit_vs_tgt() doxygen documentation

    See RM #1021

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a675a56d5f81c13164d3a13d8eafacb5c40c39a8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 23 21:22:08 2024 +0300

    build_appimages.sh: Give clear error message about missing wget2

    See RM #1014

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 18b3c1f8d3c614a1c3ffd5d81bd36aef2bfd32c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Nov 4 19:19:24 2024 +0200

    Comment typofix: "attachs" -> "attaches"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f4902b0ea369008872dc04ce6904431a1ad034bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 20 03:33:07 2024 +0300

    Unhardcode wld.map from can_city_build_now()

    See RM #993

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0997cfd91d82012731cf8fe358c3d9ad1e987a89
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 30 07:58:53 2024 +0200

    Autotools: Fix linking tolua against static sys lua

    Reported by keykeypi

    See RM #1040

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b9994ec28fde5f634fd6751dc0d2d79387aa5739
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 17:11:08 2024 +0300

    Mark ruleset comments data loading error messages for translation

    See RM #918

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 433d50597f69487c8f88e5bcf36ed1febee99d20
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Nov 3 10:38:53 2024 +0200

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1a6be168b335637ddce6f4560b5d2300f7867799
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 22 04:16:44 2024 +0300

    configure.ac: Correct AC_SYS_YEAR2038 comment

    See RM #1004

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5f80cb9f4c88bec507d106de607996df515f251c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 18 20:47:57 2024 +0300

    Refresh gnulib .m4 files

    Upstream has added an "offered as-is" -comment to them.

    See RM #979

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 00c3d7e8d22259285884351b2445e0a191530228
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 29 22:42:47 2024 +0200

    Comment typofix: "symetri..." -> "symmetri..."

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fbed1863e427f8b995f00553b4d75afcf2adff1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 02:33:02 2024 +0300

    Fix combat veterancy chance

    It was always zero (integer math for 0.00 - 0.99) when
    it was supposed to be scaled to how challenging the combat was.

    Reported by Moke

    See RM #983

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1ccb55f9f0dd92657bab9fcdd4675cf759013ec2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 15 21:40:26 2024 +0300

    Unhardcode wld.map from can_city_build_direct()

    See RM #967

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9d7f8220c7abb1af199b90a743b682da0f322758
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 18 19:18:23 2024 +0300

    Add original owner information to vision_site

    Only original owner themselves know that they were
    the original owner, i.e, founder of the city.

    See osdn #46468

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit adba305327f422e5aa621c142711e9e363150b9d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 16:13:08 2024 +0300

    Include version number to the AppImage filename

    See RM #955

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3b787ffbf4cf338e8bfc27c62e8d707271c47274
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 15 00:03:39 2024 +0300

    Update handle_diplomacy_cancel_pact() function header

    See RM #963

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aa5fdd0ec3b8f09f92fed1df62f1a8596d4611df
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 27 06:55:24 2024 +0200

    Comment typofix: "heigh" -> "high"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e7bfa80fe7a5032f227d58b57b3580f451865caf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 20 22:04:20 2024 +0300

    sdl3: Replace SDL_TRUE with true

    See RM #987

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25a085b5363048939ba592b72fc88fb2a0c85378
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 12 11:07:34 2024 +0300

    Meson: Compress scenarios on crosser builds

    See RM #956

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e58ecfa98d55933858b7b023c31a6b1b2e40cc5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 19:42:51 2024 +0300

    sdl3: Replace TTF_SizeUTF8() calls by TTF_GetStringSize()

    See RM #986

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit df474fdffa1635c7ec39752152e90e594019b763
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 18 18:44:56 2024 +0300

    Protocol: Add sync-serial packets

    See RM #976

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dd8d7c12827e7fa3b5a639460864733d856025e3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 13 23:18:22 2024 +0300

    Update build-to-host.m4 to serial 5

    See RM #960

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4bfd44be60dca5e53640b338f6e3a9d56088b7f1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 07:30:44 2024 +0300

    sdl3: Replace TTF_FontHeight() with TTF_GetFontHeight()

    See RM #985

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 387e114da47124e5b1736a289b6eaf9124ebd83b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 10 20:16:32 2024 +0300

    Remove executable bit from fcser.in & fcgui.in

    See RM #950

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 518b933a66b422dcc77e8fc287fe9a054a514c46
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 07:24:06 2024 +0300

    sdl3: Replace TTF_RenderUTF8...() with TTF_RenderText...()

    See RM #984

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 56a540e9562e2c01f37d992d1597652d7436670f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 5 19:03:39 2024 +0300

    build_appimages.sh: Use wget2 instead of wget

    See RM #933

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 11a85067b2e238bd252793bb589353467bcf5274
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 2 04:47:21 2024 +0300

    governments.rulesets: Correct "palyer" as "player"

    See RM #927

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 44ce59621357f1f65a8995454d3bbbd562e69a69
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 14 03:34:26 2024 +0300

    Protocol: Keep client updated about edit mode FoW state

    See osdn #47784

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9dd845bb8ac88398bd26b8969ca09fa7cc1eb8af
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 15 19:32:36 2024 +0300

    Meson: Rename sdl3-client binary as freeciv-sdl3

    So far it has been created under name freeciv-sdl2x

    See RM #966

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 09ded7c3710144491a1ca4e9818c0a3fb76f5783
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 5 13:26:50 2024 +0300

    Autotools: Drop emscripten support

    Emscripten builds must be made with meson.

    See RM #932

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a8752bb5b362a80d72fb6af91c8cf560f8b53a46
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 10 21:35:39 2024 +0300

    sdl: Drop unused and outcommented redraw_themelabel()

    See RM #891

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d465436f9597a9a29ae2962d5cfe9c1e1b5523e0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 8 19:29:35 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_self()

    See RM #940

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 53bb68284b7084c199667ed47f51429dc54fbb85
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 17 18:19:19 2024 +0300

    CI: Install icu4c for mac-meson job

    See RM #974

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f4c8a66a2acd5c2da5a61735a471f8e0c6ae2edb
Author: Alina Lenk <alina.v.lenk@gmail.com>
Date:   Fri Oct 18 20:27:41 2024 +0200

    generate_packets.py: Fix crash under Python 3.13

    This is a workaround for python/cpython#125710

    Reported by Marko Lindqvist

    See RM #975

    Signed-off-by: Alina Lenk <alina.v.lenk@gmail.com>

commit cc2dbe182b95da935b7d06d8ad57451289d3298f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 18 17:09:16 2024 +0300

    Meson: Add 'python' interpreter selection option

    Requested by alienvalkyrie

    See osdn #44766

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 40e3a7a99120e5073f269ab2a484858ba0568ee4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 6 21:33:29 2024 +0300

    sdl3: Update alphablit() to sdl3 changes

    See RM #924

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 520955f2774b35de81031f26d554e6d6492d369d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 01:55:57 2024 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b4ed0a074cc0320be160139114083b6b5331cb57
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 19 00:17:51 2024 +0300

    Comment typofix: "ommiting" -> "omitting"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5d93db952b3a1a90360c33b7bd519e94bbba7d43
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 7 17:51:08 2024 +0300

    Autotools: Fix duplicate -lcharset on LIBS

    See RM #937

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit dafec31b683e0cb7585f206edd6f61c09e44124d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 3 06:00:12 2024 +0300

    Inform client about city acquire method

    See osdn #48116

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a2f6a0ce30cf00e1dad1cbe15c868ffd5aee407d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 8 23:22:13 2024 +0300

    Move SDL3_gfx out from dependencies/

    There's no upstream project, only our own work based on SDL2_gfx
    Move it under sdl3-client's code.

    See RM #942

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6caee8e04847525bcf199d690e39141a632f6054
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 28 00:26:15 2024 +0300

    build_appimages.sh: Build ruledit appimage

    See RM #919

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 29a6b76b5b403e783a3c81d40f9c937fd7531736
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 27 05:43:01 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_extras()

    See RM #916

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1a912e9f204fe98a6d65378a073b70242af309fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 15 22:03:16 2024 +0300

    Comment typofix: "manditory" -> "mandatory"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5cd1c75c6222db35dd075d9d6fc1e79983d69a05
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 3 07:14:23 2024 +0300

    gnulib-common.m4: Update to serial 105

    See RM #914

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 69ccf15c0abfad5f3eb8cd427213cee2595bc69b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 15 00:59:16 2024 +0300

    Comment typofix: "desct..." -> "destructor"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 58e2de92f2cd134b9421a886b501a5e33355d90b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 2 01:32:21 2024 +0300

    sdl3: Always convert surface on load_gfxfile()

    See RM #923

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 140d7fb67251aff898c6386afda01acc7eaa9d0e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 01:55:08 2024 +0300

    emscripten: Build SDL2_gfx from freeciv tree

    Do not install the module.

    See RM #908

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cc72a58cd681ea16e0fb346f1548cac6fab3495b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 1 01:23:36 2024 +0300

    Update gettext.m4 to serial 80

    See RM #913

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4890160bfbc4ea64cd7c76b478505ac65003ccb5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Oct 13 09:56:25 2024 +0300

    Comment typofix: "SELLECT" -> "SELECT"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e95fe339f7b409ea8a893f1c593e6d74140cfef
Author: Michael Ortmann <41313082+michaelortmann@users.noreply.github.com>
Date:   Tue Oct 8 21:14:09 2024 +0300

    gtk: Fix leak in cityrep.c:cityrep_sort_func()

    Ported to S3_2 by Marko Lindqvist

    See RM #941

commit cdf867a9b35ab1472d925046a5bf93da0a564709
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 07:56:40 2024 +0300

    Meson: Add check for Qt version

    See RM #881

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cb7f4940434707cd81ec213dacec3488882ace15
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 28 02:30:48 2024 +0300

    sdl3: Update create_line() to sdl3 changes

    See RM #922

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bda2d638200418b54a31c54c155b3eed044dcb83
Author: Michael Ortmann <41313082+michaelortmann@users.noreply.github.com>
Date:   Tue Oct 8 20:08:44 2024 +0300

    gtk: Fix memory leaks

    Leak fix 1: themes.c:gui_load_theme()

    Leak fix 2: pages.c:intro_expose()

    Ported to S3_2 by Marko Lindqvist

    See RM #931

commit 5a11535f047edc9d6791cfef1596b5f6a38aa5b3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 27 06:48:09 2024 +0300

    Update build-to-host.m4 to serial 4

    See RM #912

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c3245bbed6167357507207eb765095bf52035c7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Oct 11 01:27:09 2024 +0300

    FAQ: Update latest stable version number to 3.1.3

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6ef2f7f2100774fd339a56742e8b6dab01252d6a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 7 06:09:43 2024 +0300

    CI: Use macos-15 runner for mac-meson build

    See RM #936

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5713c2ce0a34117559899eb1b39ced9da201da1d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 10 17:23:15 2024 +0300

    Merge Esperanto translations from S3_1

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a390b2e72f365aaad278f6efde84578f17f8e5c4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 27 01:09:55 2024 +0300

    sdl3: Update copy_surface() to sdl3 changes

    See RM #915

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b712376017345e478a56f4d9a8ff4f76863afae8
Author: ninjum <138787523+ninjum@users.noreply.github.com>
Date:   Tue Oct 8 20:56:04 2024 +0300

    Add Galician translation

    Some adjustments to the build system parts by Marko Lindqvist

    See RM #929

commit dfed5afe09c8643d3b3f04792d2e3491cf22e545
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 02:48:58 2024 +0300

    Protocol: Communicate about city worklist cancel behavior

    See osdn #48217

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e5e41bee5e3e992df8b5177b733eca55e578686b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 9 05:53:17 2024 +0300

    Comment typofix: "missplace" -> "misplace"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cbe18386ed52eccbc97ef6fe63f180519ee2a38d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Oct 7 05:33:18 2024 +0300

    Fix client crash when Leaving the game to main menu

    See RM #935

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9939fc57804e8b4564bd222b2bee0abd6f9af080
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 03:34:26 2024 +0300

    Update SDL3_rotozoom.c to sdl3 changes

    See RM #909

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e97588ce6d5be606036d8b26692f7827fc600d7c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 8 18:33:30 2024 +0300

    Update Polish translation by Hubert Kowalewski.

    This is S3_1 translation:
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2024-10-06).

    Msgmerged against S3_2 strings

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1802f91d09f34ff1037a8d4177bf7967b5235118
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Oct 8 18:12:23 2024 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3f1d30dd193c60befb5fe760e5af8e27bbb4599e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 22:13:18 2024 +0300

    helpdata.txt: Drop Jacob Nevins from current maintainers

    See RM #894

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5831c1f330117cb656d369d3e66ca34aaab6a568
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 01:58:10 2024 +0300

    sdl3: Update video_mode_list() to sdl3 changes

    See RM #906

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 74457f1133e5e4be376605ac8e4cb86a32f59de0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 01:44:12 2024 +0300

    CI: Update emsdk to version 3.1.67

    See RM #907

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7bc746c044814976ed6f0447f1a6746df74003e8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Oct 5 18:59:24 2024 +0300

    Update Finnish translation of ruledit domain

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 64fd11f56e4059024d66c99ad94c0c756ecd1096
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 22 03:03:26 2024 +0300

    Editor: Add infrapoints editing

    See osdn #47385

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 953ce179b4e5dac9686a8d5f833b402dcf98b822
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 13:40:20 2024 +0300

    sdl3: Update get_smaller_surface_rect() to sdl3 changes

    See RM #903

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0b5e8a7884d97a32d95d231e64d1946d75db092a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 27 06:32:54 2024 +0300

    comments_load(): Log errors as such

    See RM #917

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e3d2bcd5ea5a6fac8a8707946738c35a97513a7d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Oct 3 17:37:46 2024 +0300

    Comment typofix: "unknow" -> "unknown"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b11abd31180117f1e0e47ef443b1e6da7dd70b34
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 13:22:51 2024 +0300

    gtk: Fix editor assert failures when player government not known

    See RM #860

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 18026ad06cdc2806aaacce5bc14025a256bd0f33
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 20:51:57 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_tile()

    See RM #893

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 58cb1496def820f6ff15323c5717bfd968f8520b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Oct 2 03:35:58 2024 +0300

    Comment typofix: "enought" -> "enough"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b77847b2c9d51d538856a89e49922b305e890b4f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 08:17:54 2024 +0300

    sdl3: Update key names

    sdl3 has changed key names to all-uppercase; SDLK_x -> SDLK_X

    See RM #899

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d73e405858fe8d121ccdef58326de21552c0e1b4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 17:37:06 2024 +0300

    Apply patch 3 for lua-5.4.7

    See RM #883

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b70d3f7126caa4be5b8e8998e3057aeb3a85cadb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 18 06:23:57 2024 +0300

    Check get_discounted_reward() return value

    If the function has failed, do not use the result structure from it.

    See RM #872

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8f6b77ad3e37deea2971352c60d179cd9bbaa282
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 00:15:06 2024 +0300

    sdl: Make textinput_handler to take a const parameter

    See RM #886

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e35d4e6bb974b39b4f89e932d1adda7a9193e93b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 22:18:37 2024 +0300

    sdl3: Update TTF_SizeUTF8() return value checking

    The return type has been changed to boolean in sdl3.

    See RM #892

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit de5dd180f218a1b0eec7953b27c9b9f5cfc87925
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Sep 30 00:07:51 2024 +0300

    Comment typofix: "reproducable" -> "reproducible"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b8bd7a48b1f081ca86743ab28c52a7a77a30759b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 19 00:52:24 2024 +0300

    Flatpak: Update gnome Sdk & Platform to 47

    See RM #877

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8a65433495be810188efb9a205e018b5e209d52a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 17:16:33 2024 +0300

    Move cargo sanity check to rssanity

    So it's part of ruledit's sanity checks too

    See RM #878

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a437239d59250e2ce6113205ac49e6c1b4664624
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 17:39:46 2024 +0300

    sdl3: Drop flags parameter from SDL_CreateRenderer() call

    It's been dropped from sdl3.

    See RM #887

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aed5a885a5cc1607615e7a6e63623f95cfc1085e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 22:39:26 2024 +0300

    CI: Don't try to reinstall pkg-config in mac-meson job

    See RM #895

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b886767fc95edf36bdd854aad5cc61703fd9e705
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 28 03:47:51 2024 +0300

    Comment typofix: "inbetween" -> "in between"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b5f6dd5588edd0ea804dc80b40e4d6fee002346
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 19 21:01:56 2024 +0300

    sdl3: Update SDL_PushEvent() return value checking

    The return type has been changed to boolean in sdl3.

    See RM #882

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b3da1587b9c2fffd0756b5dda33447d8019e455f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 18 20:31:03 2024 +0300

    fc-sdl2.m4: Port upstream serial 3 changes

    See RM #873

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4b20e9cf25fb99fb433c261db18734ab8a847039
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 18 02:52:33 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_stack()

    See RM #871

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5fa373bf6c1650770650f7809d87508312e06165
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 16:18:00 2024 +0300

    Correct "Counter are" to "Counters are"

    See RM #854

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf64316d5d064b0f7414ea0760216b6d795d061f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 19 16:18:04 2024 +0300

    sdl3: Update get_pixel() & get_first_pixel() to sdl3 changes

    See RM #880

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8ca853494823e50e35ff626447dbe2346b210f7c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 18 21:27:00 2024 +0300

    sdl3: Update to SDL_KeyboardEvent rearrangements

    See RM #875

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fcaa6a89610df47984f28d55a1b437543bbea20e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 25 04:07:48 2024 +0300

    Comment typofix: "catch throught" -> "caught through"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 19ca29834916b978bcf8201d5ac8c70388ab8ede
Author: Sławomir Lach <slawek@lach.art.pl>
Date:   Wed Sep 18 21:48:41 2024 +0200

    Qt: Put governor settings to a scrollarea

    This makes it possible to squeeze city dialog to
    smaller size, so it fits e.g to Steam Deck display.

    See osdn #117756

commit bbb4ef0820d6fab2445ac014c60d3f19e32b2118
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 10:04:30 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_unit()

    See RM #853

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0c8f9135584eb925ddf55cbca981fa9436bad3e7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 18 20:55:03 2024 +0300

    sdl3: Update SDL_GetRGBA() calls

    Its fingerprint has changed in sdl3.

    See RM #874

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 36d3f2300ef7e7a6643bf563a0c16e1c423f5c61
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 23:12:16 2024 +0300

    CI: Drop autotools based os_x job

    See RM #905

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 82cb3026822274b9cd56f8cf6d88e2f121ca5543
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 17 18:49:31 2024 +0300

    sdl3: Update SDL_GetSurfaceColorKey() return value checking

    The return type has been changed to boolean in sdl3.

    See RM #869

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f8c8c5af39ed42b10293e7dc86f8152a1c4e2fb9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 20 23:02:38 2024 +0300

    Meson: Make modpack installer build to depend on verhdr

    See RM #896

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 78c09166ad19cf9d84eb82056bee9ecc250df26d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 17 18:42:32 2024 +0300

    CI: Make github actions to use actions/checkout version 4.1.7

    See RM #868

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 110bed79706d135e8fe631762669e6192be063a5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 09:55:24 2024 +0300

    specvec.h: Add function headers for inline functions

    See RM #536

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c715362e53e86c9de1e34fb1ac621e285aa27449
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 17 18:27:43 2024 +0300

    sdl3: Update mask_surface() to sdl3 changes

    See RM #867

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 60bdc26b05d03252ea0014241e207782d79746a6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 13 18:10:21 2024 +0300

    fc_querysocket(): Handle fdopen() errors

    See RM #851

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1aa4bf334a505c3cb82fe472ea42099a1c65f807
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 15 21:38:05 2024 +0300

    sdl3: Update SDL_MapRGB() calls

    It's fingerprint has changed in sdl3.

    See RM #866

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0c1dbf344ce3e9db830f0b1fb3a3ad3d2161d379
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 11 07:12:01 2024 +0300

    HACKING: Correct debug log level name

    It was documenting numeric value that was also outdated,
    and now wrong.

    See RM #847

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c110ed8ca44403b7f0d2b1e7ca90e46a5ac0c842
Author: Michael Ortmann <41313082+michaelortmann@users.noreply.github.com>
Date:   Fri Aug 30 00:56:48 2024 +0200

    Do not reread tilespec, if it is the current one

    See RM #879

commit 9d869a0cb2fa0078d1dd5cb24ecb1f7958e9732e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 21 00:01:59 2024 +0300

    Comment typofix: "brefore" -> "before"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a2a17a57bd8177dd9bb8c566d8bd3cc5bdbb15fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 20:38:29 2024 +0300

    conch.ruleset: Clear trailing space

    from the last line, so the last line is now empty

    See RM #858

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 260c47f5c4e116fe3a2f9652563f2295c3c9ce0c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 13 18:59:56 2024 +0300

    Flatpak: Update freedesktop Sdk & Platform to 24.08

    See RM #850

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 139139dfa5d5247b75882fc9422dda5abdecf743
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 15 12:04:10 2024 +0300

    sdl3: Update create_surf_with_format()

    to match changes in sdl3.

    See RM #865

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c4b084b916d2e3b439cc4ad39beda015f99c7418
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 15 10:33:20 2024 +0300

    sdl3: Update SDL_Init() return value checking

    The return type has been changed to boolean in sdl3.

    See RM #864

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4353cd7df468c5147fbb2f681c965151524eb795
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 12 07:29:59 2024 +0300

    Ruledit: Add unit cargo properties editing

    Edit cargo types and capacity.

    See RM #849

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d77158ed87614cee745b0c1fccc00493883f47b9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 8 12:58:44 2024 +0300

    Unhardcode wld.map from action_speculate_unit_on_city()

    See RM #839

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 710a6183cab79240e3876b65bd6e01c7bcf546ea
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 23:31:10 2024 +0300

    sdl3: Update SDL_MapRGBA() calls

    Its fingerprint has changed in sdl3.

    See RM #861

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f4b2c66b307c9d14e2b7ffdc89e308bbe53c5fbb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 01:09:46 2024 +0300

    Qt races_dialog::set_index() header: Drop duplicate "current"

    See RM #832

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d7ac95dbda6f3d94091e51548405bb073162f511
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 10 05:38:36 2024 +0300

    Msys2: Fix qt6-installer ruledit link creation

    See RM #846

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4d4dfce6002811f8e52f7066b57cb0396df17cac
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 09:43:08 2024 +0300

    sdl3: Change FilterMouseMotionEvents() return type to boolean

    Return type of the event filter functions has changed in sdl3.

    See RM #852

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f3ffc819bc30c8c7cf9493c2b812e79f51f3f3af
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Sep 12 07:14:16 2024 +0300

    sdl3: Fix Mix_OpenAudio() return value check

    Return type has changed to boolean.

    See RM #848

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f68214fc598587295f60aafcae307f4438a250b7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 02:53:54 2024 +0300

    Update lua command helptext

    See osdn #45636

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4468d4875f9c4768319b7f07e8da9edf1c3f1b13
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 8 12:31:46 2024 +0300

    gnulib-common.m4: Update to serial 103

    See RM #838

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d871ed63caaf4ddb0bfd9f274286c1e8575e953
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 00:46:10 2024 +0300

    Correct "Inresponsive" to "Unresponsive"

    See RM #830

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cc29cf3962956c1f7c80f12dd4792fe3024df079
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 15 10:56:36 2024 +0300

    Comment typofix: "doesnt" -> "doesn't"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5f2d01ca5fad9b0a65e5c32935ea650b3cafc341
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 00:29:36 2024 +0300

    speclist.h: Mark inline function headers for doxygen

    See RM #760

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8dc60dc4187ab5d9fac454e8c110d2e4d245c3de
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 15 00:14:33 2024 +0300

    Freeze datafile formats

    - Bump datafile capstrings to their final freeciv-3.2 form
    - Set version number to 3.2.0, and freeze version flag on
    - Set datasubdir to "3.2"

    See RM #397

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6b5b7d0a8b8139e9ffacab3d24ccb3318226cbbe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 06:29:19 2024 +0300

    sdl3: Drop unused flags parameter from create_surf()

    See RM #837

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 29eff398619a35306ed9856f5d944549291fee08
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 14 16:05:19 2024 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e140bf68b9f5e16f4370b2a53a2755e0386b8441
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 01:05:17 2024 +0300

    Qt: Correct svgflag size on start page

    See RM #831

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a6f8773cd5d3430f9565826090a6f043634d026e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 23:44:35 2024 +0300

    Correct unit escape message

    - Correct word order
    - Display attacking unit's owner's nationality, not unit's

    See RM #100

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3dcd47cd48d3f4bee9a72504972322bddd65a773
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 22:59:13 2024 +0300

    stdlib_h.m4: Update to serial 81

    Add locale-en.m4 as a new dependency

    See RM #823

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 880aacd664dd227a04a985cc5bd624935db495d4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 22:43:22 2024 +0300

    Fix diplomacy crash when partner government unknown

    Reported by Michael Ortmann

    See RM #814

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 50f859ef761e11ea3848ebd6e35a05e679df7275
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Sep 9 06:33:13 2024 +0300

    Lua: Move tile known() and seen() to Tile module

    They were erroneously in the City module

    See RM #840

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bb26254e7d28edc3fd7ad7d17989c9dee5bf3d58
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 06:14:15 2024 +0300

    sdl3: Replace SDL_Keysym with SDL_Keycode

    See RM #836

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8a8cbc700a004e010cad584ea010869fb0ec39e2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 08:23:48 2024 +0300

    Meson: Make common_lib to depend on verhdr

    See RM #826

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f030ac3991878b8195640ee64f2493a7da7f1d3a
Author: Joe R <joeraz5@verizon.net>
Date:   Wed Sep 4 20:30:53 2024 -0400

    Add Conch Republic nation

    See RM #821

commit a2acc4a9bb490c4a9c3dbdb31b3e75199dfc9fb4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 02:35:26 2024 +0300

    Drop dev-save-compat

    Ahead of approaching d3f

    See RM #834

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit abf6b0ff899f93cc54966b72eabd165925cf74ab
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 10 04:37:55 2024 +0300

    Comment typofix: "splitted" -> "split"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d1343b7ad910f04c2ea76751d6f4236357cbf4e9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 17:53:48 2024 +0300

    Apply patch 2 for lua-5.4.7

    See RM #761

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b77ee76305bb77d8776b2de86f26b09d7b7d0569
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 18:13:50 2024 +0300

    Update unit_versus_unit() header

    See RM #827

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2eb1296842c47b45ab2689086db149aba25faead
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 06:35:19 2024 +0300

    Meson: Install small flag sprites

    Reported by ivar

    See RM #824

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c54979ec2e3320e1672b0287590bae7a28a2199
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 1 00:59:46 2024 +0300

    Unhardcode wld.map from action_prob_unit_vs_tgt()

    See RM #819

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5cc09b90f8c0b451a834b7641382bc6f9e9d9310
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Sep 8 13:20:42 2024 +0300

    Comment typofix: "Processess" -> "Processes"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a94950486f6a6a2047ecf574c2474259642497e5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 05:49:43 2024 +0300

    locale-fr.m4: Update to serial 24

    See RM #822

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 30789aea5ce4785d3b11f7efcfe245eea98c2e71
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 31 15:25:05 2024 +0300

    Give log level deprecation warnings regardless of parameter order

    Make deprecation warning about numeric log level pending.
    Log it if later parameter enables deprecation warnings.

    See osdn #45954

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9a620f1ed6486a30c540587b90c7335c4a604a6a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Sep 7 05:09:57 2024 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 432273c3acf092f938adde5cf23eb3c4a8270455
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 31 07:34:21 2024 +0300

    Correct "hight" to "height"

    See RM #816

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0bb771275d060b85ee68d5dd4b77c8c5a207ebb0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Sep 4 01:25:58 2024 +0300

    Update to crosser-2.9

    See RM #722

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68c4d390e7bf3c9e2452ba99ccf3ea4d35ed0bf2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Sep 6 21:16:11 2024 +0300

    Comment typofix: "higlight" -> "highlight"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8537dce3e8fce478eaf93029611af27d2ee2dcc6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 23:38:00 2024 +0300

    AI: Make amount of Veteran_Combat effect to count in evaluation

    See RM #794

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5a9e04b7663b495f4a5cb7354f7562ab801dee1d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 23:46:15 2024 +0300

    multiplayer: Give Vision bonus to land units on Mountains

    See RM #811

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 439f6533efd9427b63ccfc5b8327e41b84584362
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 31 20:56:21 2024 +0300

    SDL3_gfx: Clear trailing spaces

    See RM #818

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c3b5cc1ec0b5c8e426ecac60dee8a55493f01e5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 23:08:21 2024 +0300

    granularity: Correct "pecularities" to "peculiarities"

    See RM #810

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 73d66b69be200cd431bea0269b61970d0c57ceba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Sep 3 07:45:33 2024 +0300

    Comment typofix: "accidently" -> "accidentally"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b1754fccdefce97f5fa73b41ba1cc456982d8771
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 23:00:27 2024 +0300

    Unhardcode wld.map from can_unit_change_homecity_to()

    See RM #809

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7c882e1d9cc68838fd86b964a3df855543e061be
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 31 21:42:17 2024 +0300

    Comment typofix: "miliseconds" -> "milliseconds"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f0a4ee6eb145998b8f9a8e1b9d68f4d21e2e3b63
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 31 21:02:34 2024 +0300

    SDL2_gfx: Clear executable bit from source files

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 452ba89d56fff748799a23e47006123b4c7e21b2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 22:31:23 2024 +0300

    gnulib-common.m4: Update to serial 101

    See RM #808

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 187eadea42c3d28470d0f9659bf6c34089535e9c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 23 23:11:21 2024 +0300

    Correct "cancelation" to "cancellation"

    See RM #800

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8eb11fdb9c19f78387f56e6926748591b20b906b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 01:40:26 2024 +0300

    README.msys2: Document meson based build by default

    See RM #777

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 417da3e089a17a122f9b3546706c1bb05d2b3645
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 30 20:12:43 2024 +0300

    Order act_results correctly

    See RM #815

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9d09e49347247ba1202f112c3ba93dbd376da030
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 25 04:45:04 2024 +0300

    Clear out ACTRES_UNUSED_1

    See RM #805

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4e17929c47e39fa1bf11da3764d021dbabca9696
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 23 23:44:59 2024 +0300

    classic: Give Vision bonus to land units on Mountains

    See RM #679

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 70e789f21985253fa8df3f3da57f7ada6e82109d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 23 23:35:25 2024 +0300

    Update host-cpu-abi.m4 to serial 18

    See RM #801

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 60e8c312563e4a92904747fe20f009e080f44f4d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 26 04:17:42 2024 +0300

    POTFILES.in: Add new nations

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3f4acf4c3ba0d8a4194516eace287d548cf3ae76
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Aug 22 21:49:32 2024 +0300

    Unhardcode wld.map from unit_can_add_or_build_city()

    See RM #799

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 18ecf71d211c59d1d4d4a1c5b3776c88f3b52c6c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 18 13:36:09 2024 +0300

    Correct "existant" to "existent"

    See RM #796

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit def72b53bfa70b2d61d819ff1c90928f07ca943b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 19 19:05:51 2024 +0300

    installer_cross: Clean out remainders of qt5 support

    See RM #798

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a7aa5f96341ed0b8f57eae29ae64c284c6616f82
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Aug 20 19:32:26 2024 +0300

    Add Poyaisian nation

    Ruleset by _Rorr404, with minor adjustment by me

    See RM #710

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e2e02d9648900267827c78782a44b14a2c54d989
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 23 23:00:23 2024 +0300

    Comment typofix: "compability" -> "compatibility"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8c35e34deea4bd2a247f98ce41a367bb13114b1a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 12 19:23:22 2024 +0300

    AI: Refuse receiving techs when can't afford upkeep

    See RM #788

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d5518da5d455454b6b280a11532645c3305953ce
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 16 20:49:40 2024 +0300

    Unhardcode wld.map from can_unit_deboard_or_be_unloaded()

    See RM #792

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d117aaeeedb1baa484433a184f12c10e5b148c48
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 16 17:56:13 2024 +0300

    Make root node case-insensitive

    See RM #780

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 759c93fb5c9d718a0332ed28402921ebf87f0d21
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 16 20:11:27 2024 +0300

    notify.c: Convert parameter documentation to doxygen format

    See RM #791

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 633e0ea886a7d68a616f0e40a259959b2d352319
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 16 23:11:32 2024 +0300

    CI: Stop installing autotools for msys2 build

    See RM #779

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 04ef093443f3ceea90bd35f8605157499adc398e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Aug 21 00:02:39 2024 +0300

    Bump version number to 3.1.94.10-alpha3+

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c2fcc1fcac78cfc832a2f2c2c56772700133fb9d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 17 00:32:35 2024 +0300

    Add Minnesotan nation

    Ruleset by _Rorr404, with minor adjustment by me

    See RM #709

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 98069341a513c354d13215563155dc88dd1ffb43
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Aug 20 18:50:44 2024 +0300

    Comment typofix: "reset(t)ed" -> "reset"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8aeaf7ce5bd28c55317fe7dc0515936475ca0dad
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Aug 15 17:15:10 2024 +0300

    Sandbox: Correct MinVeteran requirements' format

    The value was given as an integer, though it should
    be a string.

    See RM #784

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit eb2fc9081ed26e4a40f75525a254214b73148e5f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 11 05:27:38 2024 +0300

    Unhardcode wld.map from unit_can_help_build_wonder_here()

    See RM #785

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 742bab6db013c24f88327d1a22c9ea4755d037fe
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 16 22:55:47 2024 +0300

    CI: Revert to installing automake1.16 for msys2

    See RM #793

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2797b6000d8fe1fcb9cc2ff212b5df5c4caff5dc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Aug 13 05:14:18 2024 +0300

    Update msys2 environment to 240810 level

    - Update to upstream snapshot 240727
    - Update automake to automake-1.17

    See RM #778

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f6d2b64c019cc4af59efbebc148e2c1f1aacb1eb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 12 06:36:40 2024 +0300

    Correct "symetry" to "symmetry"

    See RM #787

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 15bdcffc2f52d925c81b979da261eb7903bea11b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 11 08:17:43 2024 +0300

    meson-installer_build.sh: Correct sdl2-client gtk4 environment error message

    It was claiming that failure was with gtk3 environment

    See RM #685

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7144f323a52a7e5c89f86c864e170c2a098050b3
Author: Sławomir Lach <slawek@lach.art.pl>
Date:   Sun May 26 11:39:25 2024 +0200

    gtk4: Make counters info visible in city dialog

    See osdn #117691

commit cb9bcf94d4de7c7b574ad0857c2ce09aadcce3c6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 11 07:22:49 2024 +0300

    Document sdl3-client in man-pages

    See RM #786

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 68ebd2911b6f612df91f1ec6e3cf0ea6050c9c42
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 10 11:15:04 2024 +0300

    Fix "dublicate" typo

    See RM #783

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 77dd580cee7ebe7ca6f46a8073b161196f18e60e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 10 06:51:45 2024 +0300

    Unhardcode wld.map from action_is_blocked_by()

    See RM #758

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1912001b32df2369c06b9ed1da95440f5bca65d6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Aug 10 09:50:47 2024 +0300

    Comment typofix: "insensitve" -> "insensitive"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 716bfbeae7f06ef19c4cf1a7631eafa2b9f76666
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Aug 6 00:45:21 2024 +0300

    gnulib-common.m4: Update to serial 100

    See RM #775

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 940961b8427882e144e3ff3a4bfff8cc1eb3220e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 5 23:24:22 2024 +0300

    Drop unused width,height parameters from popup_image()

    See RM #774

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bdbeb2a165353e7125f7c2d0bc6e87d7395e3f8b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Aug 5 07:54:52 2024 +0300

    Fix clang-20 compiler warnings

    See RM #773

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d5868abe395e645b2ac4a17d3fe7ccf0923ce6d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 30 00:23:46 2024 +0300

    sdl2/3: Make popup image to use natural size

    Ignore image size parameters to popup_image(). They are
    to be removed completely.

    See RM #768

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7eeabc59dbea68f3cd931f3b0c9a1053bfc36e30
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 4 05:02:23 2024 +0300

    CI: Update setup-msys2 to version 2.24.1

    See RM #770

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 05c23aa4a47c31888ba3e105658163f21598d162
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Aug 4 18:37:37 2024 +0300

    Qt: Avoid QString::asprintf() to fix msys2 compile

    See RM #771

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 208992f90794c57f09a3b20d8e2f8407702ffcd3
Author: Sławomir Lach <slawek@lach.art.pl>
Date:   Fri May 24 17:42:10 2024 +0200

    Qt: Make counters info visible in city dialog

    See osdn #117692

commit 0f9d3d72b454b06c077fa8084f302ce8269a7a7c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Aug 2 00:06:25 2024 +0300

    gnulib-common.m4: Update to serial 99

    See RM #769

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 414932c9d1a54376b4610f40fb019346c02b44f3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 31 02:32:35 2024 +0300

    Art: Move storm sprites to main units.png

    See RM #425

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e6129a6ef65dc3ed525eebc9dc65a60b7b20e52a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 31 23:34:15 2024 +0300

    Merge German translation from main branch

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 9b2ea318496befd55a26892aa134d50847c8eaca
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 28 17:10:56 2024 +0300

    CI: Run codeql on ubuntu-24.04 runner

    See RM #723

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6592d047649fcd1d4affacc48a47f8bdbc606442
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 26 11:36:35 2024 +0300

    Qt: Make popup image to use natural size

    Ignore image size parameters to popup_image(). They are
    to be removed completely.

    See RM #764

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b3f7608e7920dde434b0c8dda1f1ca0d4103450d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 27 22:21:59 2024 +0300

    Comment typofix: "inidicator" -> "indicator"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f68e730e0cda8ea5bb56f5a5f265731c7b44b294
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 02:41:50 2024 +0300

    gtk4: Make popup image to use natural size

    Ignore image size parameters to popup_image(). They are
    to be removed completely.

    See RM #669

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c7114530cb0d3dc9e890dfc4ac9df62ec74af50c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 16 14:28:04 2024 +0300

    alien: Correct units.ruleset typo "spesific"

    See RM #762

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f88a22534689e58bd468d8f8dfc5bc52e69a801f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 10 06:07:08 2024 +0300

    INSTALL: Give pointer towards INSTALL.meson

    See RM #757

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f139a101f2597b50e69500d2c14a0d59d1ff68d8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 12 00:43:23 2024 +0300

    Update Polish translation by Hubert Kowalewski.

    This is S3_1 translation:
    Pulled from https://sourceforge.net/projects/freeciv-l10n-pl/files/
    (zip timestamp 2024-07-02).

    Msgmerged against S3_2 strings

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4fdeddf4032950015210b548fe1446f12d53664d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 10 05:46:09 2024 +0300

    Nations: Fix xgettext warnings

    See RM #749

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 536ff3c03f6dfcfe8e3529e09285959dfe5e0e7a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jul 11 17:20:13 2024 +0300

    Comment typofix: "catched" -> "caught"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fcaf2c67a2c54eabb95f854ea561ac342ec2dd0f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 9 01:03:08 2024 +0300

    Update included lua to version 5.4.7

    See RM #683

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit de1b4999d7edaf71c35f8c80ca789c468cec2479
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 8 22:27:01 2024 +0300

    Nations: Clear trailing spaces

    See RM #754

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 86e9c72add19eace3a6187880ae2a106af44ce2f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jul 10 07:40:08 2024 +0300

    Bump version number to 3.1.94.9-alpha3+

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b6c69156dced1a356d103754f5f66fa587ca1cb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 29 07:58:57 2024 +0300

    Unhardcode wld.map from action_prob_self()

    See RM #739

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2fb4b13d6aeea014f50295216875a83a458f0dd0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jul 7 22:01:23 2024 +0300

    Autotools: Improve missing sqlite3 error message

    Reported by drgerg

    See RM #753

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c6c12bb13221c7d111b6aaabc03468bc4ae07164
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 6 11:39:14 2024 +0300

    gtk: Fix crash when closing last diplomacy tab

    See RM #750

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 03b78af1066991ffefe7cfac60bb0a531f87a94f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 9 00:01:27 2024 +0300

    Comment typofix: "everytime" -> "every time"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2d729fa8c415095ff951f2ae9c116e6c74ec2623
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 8 15:29:34 2024 +0300

    Nations: dos2unix

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2afbf31ddaecddea8779f5c2ed4fca16a7903758
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 2 22:38:22 2024 +0300

    Add sdl3-client metainfo file

    See RM #713

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8136b4ef7bfac19dee031b3113d2fd422231d3c6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 2 19:33:26 2024 +0300

    sdl3: Stop using renderer selection flags

    They have been removed from sdl3.

    See RM #747

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3f14228850d5233cbcee27244fd58134197baf6f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jul 6 02:33:12 2024 +0300

    Comment typofix: "diolag" -> "dialog"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f6362f454ee36568c724b7d90b5af674d1662d87
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 1 21:27:05 2024 +0300

    Makefile.in.in: Refresh from gettext-0.22.5

    See RM #745

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2f34e8caaed3d1cf22849726fbb4e30ea838fbe6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jul 5 22:04:34 2024 +0300

    FAQ: Update latest stable version number to 3.1.2

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 70cd39319fd38497ef36df506634724f4028ed6a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 15:10:58 2024 +0300

    CI: Update emsdk to version 3.1.61

    See RM #744

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b4747c2b194cc3cffacd6b27c9e7701e909726d7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jul 1 21:21:11 2024 +0300

    Fix doc/ typos found by codespell

    See RM #746

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit da430fc034464971a69950b4524493e9121b2b03
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jul 2 21:10:21 2024 +0300

    Autotools: Drop use of CLIENT_GUI_SDL3

    See RM #748

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e1b267d7d9b2354c0d318f3ba7740a6fa022e11c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 09:10:10 2024 +0300

    Add sdl3-client destop file

    See RM #741

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit fe157a16bfc0611e384bb7211ac655211789d2b7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 13:52:18 2024 +0300

    Comment typofix: "to initailly" -> "initially to"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 33568435e33831d4efc1984980ffb9cfb5a9b4c2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 30 13:23:32 2024 +0300

    POTFILES.in: Add luascript.c

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 57b38636aa645b22789e5c01af931220b2256ff1
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jun 19 00:50:02 2024 +0300

    game.ruleset: Improve tech_upkeep_style documentation

    Do not refer to tech_upkeep_free as if it was
    a game.ruleset field.

    Reported by 3plus4i

    See RM #727

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1a0eeb0921342b2e9961a708700e06bf0871200e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 17 00:08:53 2024 +0300

    AI: Improve military_advisor_choose_build() parameter order

    Make consistent with other functions:
    1) If there's an AI type parameter, it must be first
    2) civ_map parameter is second, or first if there's no AI type

    See RM #724

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 263d84ac277f1612207e95ccc17bc455f41dd50e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 25 04:32:47 2024 +0300

    POTFILES.in: Add manual_uclass.c

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit decbc21760604022e82b8edfd8276beac0658932
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 25 04:13:42 2024 +0300

    Update Finnish translation of ruledit domain

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 44396768e529060edaf2050005dcb3c3eb56df7e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 4 00:20:48 2024 +0300

    Unhardcode wld.map from can_city_build_unit_later()

    See RM #699

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 652f4fe0bf4296feb72a32adf0b8c6eaf80e64c0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 24 05:31:06 2024 +0300

    Update Finnish translation

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5394593fe7d9a9f8d424b58dba15e6b249fb37cb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed Jun 5 01:19:15 2024 +0300

    AI: Remove shared vision from pending war target once revolting

    Make sure that there's no shared vision with the war target
    once senate has been dissolved and war can really be declared.

    See RM #701

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7932a351b7c5ca729e9811057eaef78b263ffe31
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 15:52:29 2024 +0300

    installer_cross: Fix deprecation warning about 'pkgconfig'

    See RM #704

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2cb6f99163cea3d6cea31daaf9244fec5bd0a0e4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 14:53:21 2024 +0300

    Refresh config.rpath from gnulib upstream

    See RM #717

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8863ba652323b1c82587295ece80d0cae47737a5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 29 19:59:05 2024 +0300

    Unhardcode wld.map from action_prob_vs_extras()

    See RM #684

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 502856ba47efd2462145471be13f3f0122de55c4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 01:40:07 2024 +0300

    build_appimages.sh: Build gtk3.22-client AppImage

    See RM #668

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 99951f36f093c5e8803da454983487b56433a57c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 9 20:48:26 2024 +0300

    Meson: Regenerate metainfo files after fc_version change

    See RM #705

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2b99229e2ef24955c06237b3b0fb6fe8a9697436
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 16 02:09:45 2024 +0300

    Tex: Initialize map topology

    See RM #663

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 25734031b9054bf22e8d5cc6677b4c21dd3da0d6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 9 05:23:37 2024 +0300

    stdsounds: Add sound for tech gaining events

    Sound was Public Domain (CC0) sample by StumpyStrust
    https://opengameart.org/content/ui-sounds

    See RM #712

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit eb199b856785770962efbef66434d549338199c5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 22 22:12:03 2024 +0300

    Correct "preceed..." to "preced..."

    See RM #667

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d2c11d82eb13561e01cadefdc44562bd631ea734
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 17 22:54:05 2024 +0300

    Manual: Show impossible activity time as "-"

    See RM #637

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 14bf2c3476be994d4b9d18f071068800f4605dc9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 24 03:54:17 2024 +0300

    Unhardcode wld.map from unit_being_aggressive()

    See RM #677

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit af764860a4de19a4baf490dde1f035d8529e3362
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 16 22:16:21 2024 +0300

    Comment typofix: "sting" -> "string"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cf5c0584b9bb0ff0ab441e65a5a7ace5079f59fd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 05:31:57 2024 +0300

    Manual: Correct manual_finalize() parameter documentation

    See RM #673

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 08f6f98c9a2cb79c955d51ad6e7ca00fe84de040
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 03:26:32 2024 +0300

    Drop double spaces from civ/2 nation legends

    See RM #645

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d19cd0ff5d5edfbd8b9c9ef7f55bca631cc9a7d5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 22:55:15 2024 +0300

    Meson: Add check for FREECIV_STATIC_STRLEN

    See RM #708

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5f74739cd14170175c0257416af0d4f6b151f107
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 04:28:55 2024 +0300

    CodingStyle: List fc_strcasecmp() in support.c functions

    See RM #648

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a1948b7c1e16ad1839e8a5a7db2d32f19a795ba3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 15 02:23:33 2024 +0300

    Comment typofix: "thats" -> "that's"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 69459d5e7bd54c62970f46c2b757a6c9518eb4d9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 22 01:07:19 2024 +0300

    Fix init_nls() 'grouping' leak

    See RM #443

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 43ee3a0dbd8c60dea240349ced0d7bc25cd00e19
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 03:44:58 2024 +0300

    Unhardcode wld.map from can_city_build_unit_now()

    See RM #646

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 47fdf6184b69c27af5c4129836dbdce4c4b8ca3d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 04:04:32 2024 +0300

    savegame: Set ACTION_NONE problems logging correct wrt the fix version

    See RM #608

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 613dcdaeb3082daf6bfb16ee754b714a4d518277
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 16 03:35:08 2024 +0300

    Correct "contructor" to "constructor"

    See RM #626

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 05126b5bb118d6978e907c2611d6ac45d207cbc5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 16 02:45:57 2024 +0300

    build_appimages.sh: Build qt-client AppImage

    See RM #623

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 10532c8ab40b0121f0d2d90fe3e0d7a0e7153187
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 17 22:30:28 2024 +0300

    gtk3.22: Make popup image to use natural size

    Ignore image size parameters to popup_image(). They are
    to be removed completely.

    See RM #631

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bdabc2901974b0d4579588e77f28999b558368c2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 20:14:33 2024 +0300

    map_init_topology(): Operate on any map

    Take map as parameter, instead of assuming main map.

    Requested by Alina Lenk

    See RM #707

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 285586d7a38ce1628941384c82fc9c3b1d9ebd4b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue Jun 11 06:11:44 2024 +0300

    Comment typofix: "Initilialize" -> "Initialize"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 02d4660b76e56902a1d0ed868f1ca3af43bcd3af
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 31 01:03:13 2024 +0300

    Meson: Add configure checks for static asserts

    See RM #691

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 85b8249eaee9bbce1a830265223cc06224de5709
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 03:58:05 2024 +0300

    Granularity: Correct movement enablers move fragments requirements

    See RM #647

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit e4de6866dcfb7fc22cc57d1115dcf45f1a57e7a0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 16 02:32:34 2024 +0300

    Unhardcode wld.map from action_prob_vs_tile()

    See RM #622

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d946932d614e3192d23cc8d6eeecae364230af7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jun 10 00:18:06 2024 +0300

    POTFILES.in: Add edit_gov.cpp

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 4443f3634efc36cdbf12396308de1fcc772b84c9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 15 14:11:43 2024 +0300

    Ruledit: Add edit_gov dialog

    See RM #618

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 55c8706abdf4c70eea39337f6fda78ff06125838
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 27 20:38:40 2024 +0300

    gnulib-common.m4: Update to serial 95

    See RM #681

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a8619472b59681f677f4eba7e34b7ade4aadc0ab
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 03:30:16 2024 +0300

    build_appimages.sh: Build sdl2-client AppImage

    See RM #593

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b7fecde757db35d2cc05bb2dcad437df8d6ebde5
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 2 03:19:52 2024 +0300

    CI: Update ubuntu runners to ubuntu-24.04

    See RM #695

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 30bf31ac64c59b3f2c0a178c4cef079936582d48
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 15:37:02 2024 +0300

    Bump version number to 3.1.94.8-alpha3+

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 09fcade7efffb8c19a4fb5032c87baf8f94814b0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat Jun 8 15:35:30 2024 +0300

    Set version number to 3.1.94.7-alpha3

    See RM #650

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 089354b5c395130fb6b498961ea48ea81a950226
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 30 19:35:08 2024 +0300

    Granularity: Set Mine extra act_gfx_alt to "unit.plant"

    See RM #640

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 914270e5ebafc3f34bac1db4e184839da7cfead8
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 13 02:28:32 2024 +0300

    Add requirement type "Site"

    It's like Buinding, except that the requirement is
    fulfilled even after the building has obsoleted.

    Original request for obsoletion avoidance by Lexxie
    Solution idea by ihnatus

    See osdn #42905

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5d01f58cd88c14527d2ba998e839777c3896dcba
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 03:13:25 2024 +0300

    iconv.m4: Update to serial 28

    See RM #671

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8c631b36bc37daf477a6160fb22d2b389e0a7b9f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 20:53:50 2024 +0300

    Add "e_enter_game" sound

    See RM #676

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit adddd183252fe3f5d431f803995d7c060b68b1bb
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 02:23:11 2024 +0300

    Correct governments.ruleset comment typo "specifing"

    See RM #592

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b319481b313e585f13720eb6702170ca6597ae45
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 15 03:29:23 2024 +0300

    sdl3: Make theme capstrings sdl3-client specific ones

    See RM #617

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6f5691846cf6cf6d89e94ea54c138ffd20c876e0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 01:30:39 2024 +0300

    hex2t: Copy Nets from trident

    See RM #639

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 004e779110d823488fd7ec13221d3de87e38ddd7
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu Jun 6 01:27:11 2024 +0300

    Comment typofix: "theorically" -> "theoretically"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c27f4aba1479d38f298d804645e843eaf08e53c2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 28 00:11:05 2024 +0300

    Meson: Make fc_server to depend on verhdr

    See RM #682

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c3dbd59d94dd200daa37c88bf78a9c53fd8e8e4c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 11 21:16:48 2024 +0300

    Drop double space from Coinage helptext

    See RM #587

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 62a71db907e623d4c357a551122f02633468ade9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 22 15:12:31 2024 +0300

    city_freeze_workers_queue(): Set needs_arrange for cities already in queue

    See RM #661

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit c83c411143d3c854e7e3646c50d4fe7570950c40
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 10 16:37:27 2024 +0300

    Granularity: Add Housing

    - Add building Housing, giving +1 max settlement size
    - Lower base max settlement size to 3
    - Adjust tech Fire help text

    See RM #581

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aa92a0933d19c32386937366538d1a5f481c61ad
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 05:04:40 2024 +0300

    Make it possible to /list supported AI types

    Requested by Jacob Nevins

    See RM #672

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 832e34ed80e43d416568fe7a62a4f2ab1c471825
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 17 21:39:02 2024 +0300

    Lua: Add Unit:seen(player)

    Requested by ihnatus

    See RM #630

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b9ff738f00ea5c0aeb49fd9948972ba0bf9498dc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 30 16:21:56 2024 +0300

    sdl3 theme: Correct "theme.order_auto_settler" tag name

    See RM #690

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 85c845c1e186cbd7cfef607b4130c8790e7434b9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 02:23:20 2024 +0300

    Add luatimeout server setting

    See osdn #44898

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 933df73a07182e0179d4b172245c2e6a5db52d71
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 22 00:46:32 2024 +0300

    stdsounds: Add w_generic sound effect

    Sound is Public Domain (CC0) sample by Trex0n
    https://opengameart.org/content/happy-and-sad-tuba-fanfare

    See RM #658

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 48f0f5a387314ed87d172dca590eb35ec257b517
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 11:21:22 2024 +0300

    Meson: Drop duplicate unistd.h check

    See RM #649

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a957799f14a5fff3cb3d65196df0c3538ac3fd6b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 05:13:18 2024 +0300

    Unhardcode wld.map from can_city_build_unit_direct()

    See RM #594

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cc8449c0d670e571f41bcfd6621603da492cc9bc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 13 01:20:30 2024 +0300

    Lua: Add edit.unit_add_movepoints()

    See RM #591

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f761ae9278330724997d2cfb0e0a22233ef14e57
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 2 04:43:41 2024 +0300

    Comment typofix: "Seperates" -> "Separates"

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7127047ece96f135d3d7160e574db48dc3d4f5ec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 18 00:52:07 2024 +0300

    Updated stdlib_h.m4 to serial 78

    See RM #638

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a17cd8dfa6be21459f21ab33e3ebe164dbe12001
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun Jun 2 02:49:37 2024 +0300

    Bump version number to 3.1.94.6-alpha2+

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0f08412c21392b54da9d39eb217fc9b77c10e7ef
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 18:56:38 2024 +0300

    unit_focus_advance(): Use safe unit list iterate

    Crashes caused by non-safe iteration reported by bard

    See osdn #78170

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3d34ed5a8b740c912d8ae80aa166858121f0bdb0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 22 00:11:33 2024 +0300

    Add "g_generic" sound tag

    All governments in supplied rulesets fallback to using
    that sound tag.

    Sound was Public Domain (CC0) sample by Spring Spring
    https://opengameart.org/content/just-a-random-fanfare

    See RM #657

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit b3752b57edf181b9471e6cf8964f1813909d2117
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 7 20:54:20 2024 +0300

    Granularity: Increase infra points granularity 100x

    See RM #565

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cc405b0bc1063d20188be52344520c0b82676ae3
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 20 19:07:36 2024 +0300

    Update msys2 environment to 240516 level

    - Update to upstream snapshot 240507

    See RM #628

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 3b03fe67fa792f2dc5bf95c277340643f662afdd
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 23 20:37:48 2024 +0300

    Consistently send player's unknown government as government_count()

    On info levels < INFO_MEETING, revolution government was being sent,
    causing government to seemingly change when ever packets with
    different info levels were sent.

    See RM #675

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a25912fa7404d20350ae29c3ed785117e3b4486c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 13 02:42:39 2024 +0300

    savegame: Save ACTION_NONE as -1

    See RM #598

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 473f008adf9070a152116cedda546a7ad753e5a0
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 26 10:50:37 2024 +0300

    rscompat: Fix 'unused entry "actions.ui_name_clean_pollution"'

    See RM #571

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit edace060e2056933e3b3ca1899538c2d7895348f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 15:53:03 2024 +0300

    build_appimages.sh: Functionalize client AppImage build

    See RM #575

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5818120f64e3a39be0f34feb61d78690b61b1b91
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 02:03:30 2024 +0300

    Lua: Add edit.unit_add_hitpoints()

    Requested by ihnatus

    See osdn #44771

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5c5cdaf0149e39ea54263c7e1431947b3cf383e9
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 17 05:32:54 2024 +0300

    Msys2: Clean up special handling of libSvtAv1Enc-2.dll in CI

    See RM #627

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1c042fcac7602807b7f4b8365bd9dff40ffa777f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 17:42:10 2024 +0300

    Savegame: Load map random seed

    Though it's not really used, we want to remember it
    for resaving purposes.

    Reported by alain_bkr

    See osdn #47981

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit cafc8c58d2ad049365d4fb4cfd60b861f9e0160a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 22:46:15 2024 +0300

    Unhardcode wld.map from action_prob_vs_stack()

    See RM #579

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fe2640453f5fcfd7388e3946bb9d503294be280
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 19:00:31 2024 +0300

    Fix TRANS comment "choosen" typo

    See RM #578

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 0d5b715f58e0b7cb4f1d8ce1122b844dcdc28692
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 16:37:19 2024 +0300

    tutorial.sav: Update to 3.2 format

    See RM #424

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 41b7473f6b4b1500a4c8786fde7cf6ff6585e545
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 05:29:01 2024 +0300

    CI: Update setup-msys2 to version 2.23.0

    See RM #595

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7661cf9d0c055099260df46ecbe7c35b296efb3a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 11 19:15:26 2024 +0300

    Make dying unit to correctly trigger auto turn done

    See RM #586

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1fe356c8255a94529893eea9895b071b73662b08
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 13 00:44:48 2024 +0300

    Add support for second alternative sound tag for governments

    See RM #606

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit a3dce4c7735e1afbd3656778bfc5502428f8c753
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 21 09:50:07 2024 +0300

    Meson: Make fc_client_common to depend on verhdr

    See RM #596

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 47418d18d6e80382a427baf7c8b49d40dabc2d4d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 17:30:19 2024 +0300

    isotrident: Add Nets

    Graphics by Elefant

    See RM #567

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ef29fb077fe95c173e8641eef4cad56b3c091234
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 12:29:55 2024 +0300

    sdl3 theme: Correct theme-internal file references

    See RM #599

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 972b444c898a16aba21df927ccb6e1ea82f52d4c
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 6 18:25:04 2024 +0300

    Lua: Add Tile:known(player) and Tile:seen(player)

    Requested by ihnatus

    See osdn #42684

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 6fc73e166cefcad02df390a68575979f1ba71c51
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 03:50:24 2024 +0300

    Manual: Add Unit Classes page

    See RM #572

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 55805aba2d1f86d4c2d2aa2f2e1d3fc34c9ed114
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 04:16:45 2024 +0300

    Correct rand_map_pos_characteristic() header

    It was claiming that function may return FALSE, but
    in reality it might return NULL.

    See RM #380

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 5070ce07af19aee5c6ccebca1e8beb89bdcd56e3
Author: Jakob Ilves <illvilja@gmail.com>
Date:   Fri May 17 06:05:17 2024 +0200

    Always make create_plr_sprite call to create_sprite use full tile size

    If scale is unchanged, that is 1.0f, create_plr_sprite is called with
    the hardcoded 128 width and 64 height and the actual full width and
    height of the tile are completely ignored.  This causes problems for
    tilesets which have large sized hiresolution tiles as one gets border
    graphics and solid background cut off after the top 64 pixels high
    portion of the tile.

    If scale is not 1.0f, the routine create_plr_sprite does the right thing
    and considers the values of full_tile_width and full_tile_height.

    My fix in this commit is to simply skip testing the value of scale and
    always use the values for full_tile_width and full_tile_height. The code
    that hardcodes tile width to 128 and height to 64 is simply removed.

    See osdn #86449

commit c7f13a751d38ae1de913d90cbe6c6213866940f3
Author: Alina Lenk <alina.v.lenk@gmail.com>
Date:   Thu May 23 17:06:32 2024 +0200

    Remove stray comma from cimpletoon container ship spec

    See RM #674

    Signed-off-by: Alina Lenk <alina.v.lenk@gmail.com>

commit 1fb5f91648aba1eb7c889979d14bf2a5b0bcc3b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 7 00:18:20 2024 +0300

    Ruledit: Make edit_extra to inherit values_dlg

    See RM #561

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit d5b9dc495dd919d02d989ed85c01943933908b0d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 6 18:56:16 2024 +0300

    Qt: Add tooltips for main menu buttons

    See RM #559

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 12109460c2f84f0bcc878bdb6f491894aab64774
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Wed May 8 01:34:43 2024 +0300

    Unhardcode wld.map from unit_can_airlift_to()

    See RM #568

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 353f3bd36b9bdb74380fa0ce4fd92b5771a0bc4b
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Thu May 9 02:55:55 2024 +0300

    AI: Cache 'worker' by unit's possible actions

    Previously unit's workerness was determined by Settlers
    flag alone. Now consider also actions that it can do.
    Notably units that can't do other worker actions than
    Build Base are not considered (auto)workers.

    Requested by bard

    See osdn #57666

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8329822c54d62bd32b4dec1a0adbe178c9e3d330
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 6 02:39:08 2024 +0300

    Correct "goverment" to "government"

    See RM #556

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1e60c042b82826fe73b45f3419d54d5109c48b07
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 6 04:05:01 2024 +0300

    Lua: Add Player:primary_capital() method

    See RM #557

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 1947d7f7292138cee8125b7338435d4dc31473b6
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 5 14:36:06 2024 +0300

    tileset-demo.sav: Update to 3.2 format

    See RM #423

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 2024e1b230398b3f63e0b5cecf9df938d77f6dd2
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Tue May 7 00:33:26 2024 +0300

    CI: Don't install external SDL2_gfx for mac-meson

    See RM #562

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 08072a77f9c011e53f37ec88c0bac305fb2e0a13
Author: Alina Lenk <alina.v.lenk@gmail.com>
Date:   Mon May 20 23:30:11 2024 +0200

    [cardinal_]adjc_*_iterate: use given map's dirlists

    See RM #655

    Signed-off-by: Alina Lenk <alina.v.lenk@gmail.com>

commit f451f1f4be33bf4bcecff3e15e0f73b911def3ec
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 15:41:27 2024 +0300

    Manual: Force terrain name under its image

    See RM #551

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7b7977d14b4607703907d702061f7bb9236dce52
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 14:14:35 2024 +0300

    Ruledit: Clear helptext of newly initialized objects

    See RM #550

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 8b9a58e4f2f55282cfc9b50feb36c948b6b5f7e4
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 12 07:01:13 2024 +0300

    Meson: Make libfreeciv to depend on gitrev

    See RM #597

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 992c2bfaffa9effdeb05e22726b6152da83a612e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 18:01:22 2024 +0300

    Factor helptext_unitclass() out from helptext_unit()

    See RM #552

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 961db5e1800aef601d0996d7146a97593b52fd65
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 11 02:47:24 2024 +0300

    Copy sdl2-client theme as sdl3 theme

    See RM #534

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 521131dcae15a9708855b17282ff79aa7d7a773a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon May 6 23:31:33 2024 +0300

    Autotools: Detect qt6 moc as /usr/libexec/qt6/moc

    See RM #560

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit bbe6baeb338a8059439ea434cbef3263013ce81a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 21:53:16 2024 +0300

    AI: Use ptype->adv.worker in dai_manage_unit()

    Replace direct check of UTYF_SETTLERS flag.

    See RM #553

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit ed3ab062b3d73ab9a11c18a80ada60fef26ccd0d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 13:48:13 2024 +0300

    Unhardcode wld.map from action_prob_vs_unit()

    See RM #549

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit be7dd51b4dbe47e6c3716f8350c568ab72f21736
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 3 21:48:46 2024 +0300

    Granularity: Add Offensive Strategies policy

    See RM #543

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 20585f5ad683d8052ece38a91ce1b6b17c24869e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 3 22:31:23 2024 +0300

    Isophex: Copy Nets from trident

    See RM #544

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit aee6835a020e7284b411283a85b8255fc7789053
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sun May 5 16:32:37 2024 +0300

    Meson: Drop duplicate bzlib.h check

    See RM #555

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 54159da6a1226da5733efbd7a0cad624cdb84967
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 3 20:21:53 2024 +0300

    north_america.sav: Update to 3.2 format

    See RM #422

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7bc06e9e545a597196ad191f97aca3df498f2daf
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 3 23:34:48 2024 +0300

    savegame: Correct loading last turn change time

    The value was erroneously rounded down to full seconds,
    while it's stored with 1/100 second accuracy in the savegame.

    Reported by alain_bkr

    See RM #545

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f8abe43359f62466a41d051d918caf51c1ce99dc
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri May 3 20:34:22 2024 +0300

    Correct "futher" to "further"

    In conn_compression_freeze() header
    correct also path to packets.[ch]

    See RM #538

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit f40f545a1de68d3146d7a96028175e8fff1b302a
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 05:53:10 2024 +0300

    Lua: Add server.popup_image()

    Server lua can request client to popup an image.

    See RM #546

    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

commit 7720361cdb1afe71376783903e796b5a8418293e
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Sat May 4 12:57:15 2024 +0300

